<?php



namespace App\Http\Controllers\Api;



use App\Http\Controllers\Controller;

use App\Services\Users\UserServices;

use Illuminate\Http\Request;

use App\Http\Requests\Api\SignupRequest;
use App\Repository\Eloquent\UserRepository;
use App\Repository\Eloquent\BankRepository;
use App\Http\Requests\Api\LoginRequest;
use App\Http\Requests\Api\UniqueRequest;
use App\Http\Requests\Api\ForgetPasswordRequest;
use App\Http\Requests\Api\ChangePasswordRequest;
use App\Http\Requests\Api\InstapayRequest;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Log;
use App\Http\Requests\Api\BankRequest;


use Exception;



class AuthController extends Controller

{

    private $dataObject;

    protected $UserServices,$UserRepository,$BankRepository;

    public function __construct(UserServices $UserServices,UserRepository $UserRepository,BankRepository $BankRepository)

    {

        // Initialize $dataObject as a new stdClass object

        $this->dataObject = new \stdClass();

        $this->UserServices = $UserServices;
        $this->UserRepository =$UserRepository;
        $this->BankRepository = $BankRepository;
    }

    public function index()

    {

        echo "Hello";
    }



    public function signup(SignupRequest $request)

    {
        // dd($request);

        try {

            return $this->UserServices->signupData($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }





    public function login(LoginRequest $request)

    {
        // dd($request);

        try {

            return $this->UserServices->login($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }



    // SendOtpRequest

    public function sendOtp(Request $request)

    {

        try {

            return $this->UserServices->sendOtp($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }



    // SendOtpRequest

    public function verifyOtp(Request $request)

    {

        try {

            return $this->UserServices->verifyOtp($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }



    public function resendEmail(Request $request)

    {

        try {



            return $this->UserServices->resendEmail($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }


    public function checkUniqueness(UniqueRequest $request)
    {
        try {

            if($request){
                return response()->json(['message' => __('message.no_data_found'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);
            }
          
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }

    }





    public function checkPhoneEmail(Request $request)

    {

        try {

            return response()->json(['message' => __('message.success'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }





    public function userDetails(Request $request)
    {
        // dd($request);
        try {
            $userId = $request->input('id', auth()->user()->id); 
            $mydata = $this->UserServices->getUserDetail(['id' => $userId]);
            if ($mydata) {
                $data['user_info'] = $mydata;
                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                $data['user_info'] = [];
                return response()->json(['message' => __('message.no_data_found'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 400);
            }
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }



    public function editProfile(Request $request)

    {

        // dd($request);
        try {

            return $this->UserServices->updateUserProfile($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }



    public function forgetPassword(ForgetPasswordRequest $request)

    {

        try {

            return $this->UserServices->forgetPassword($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }



    public function changePassword(ChangePasswordRequest $request)

    {

        try {

            return $this->UserServices->changePassword($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }





    public function interval(Request $request)

    {

        try {

            return $this->UserServices->updateInterval($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }


    public function logout(Request $request)
    {
        try {
            $run =  $request->user()->token()->revoke();

            if ($run) {
                return response()->json(['message' => __('message.logout'), 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.statusZero'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 500);
            }
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }





    public function contactUs(ContactRequest $request)

    {

        try {

            return $this->UserServices->contactData($request);

        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);

        }

    }


    public function deleteUser(Request $request){

        try {
            $user_id = $request->user_id;
            $success = $this->UserRepository->delete(['id' => $user_id]);
            if ($success) {
                return response()->json(['message' =>  __('message.statusThree', ['parameter' => 'User']), 'status' => 1, 'error' => $this->dataObject], 200);

            } else {
                return response()->json(['message' => __('message.user_not_found'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);

            }
        } catch (\Exception $e) {
            Log::error("DashboardController : faqDelete()" . $e->getLine() . " " . $e->getMessage());
            return errorResponse(__('message.statusZero'));
        }
    }

    public function getFeaturedChef(Request $request)
    {
        try {
            $limit = $request->limit ?? 10;
            $success = $this->UserRepository->getByWhere(['is_featured' => 1], ['id' => 'desc'], $limit);
            if (!empty($success) && count($success) > 0) {
                return response()->json(['message' => __('message.featured_chef'), 'data' => $success,'status' => 1, 'error' => $this->dataObject], 200);

            } else {
                return response()->json(['message' => __('message.chef_not_found'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);

            }
        } catch (\Exception $e) {
            Log::error("DashboardController : getFeaturedChef()" . $e->getLine() . " " . $e->getMessage());
            return errorResponse(__('message.statusZero'));
        } 
    }




    public function UploadImageToUrl(Request $request)

    {
        // dd($request);

        try {

            return $this->UserServices->UploadImageToUrl($request);

        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);

        }

    }





    public function UploadMultipleImageToUrl(Request $request)

    {

        try {

            return $this->UserServices->UploadMultipleImageToUrl($request);

        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);

        }

    }
    public function bankAdd(BankRequest $request)

    {
        // dd($request);

        try {

            return $this->UserServices->bankAdd($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }
    public function bankEdit(BankRequest $request)

    {

        try {

            return $this->UserServices->bankEdit($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }

    public function deleteBank(Request $request)
    {

        $success = $this->BankRepository->delete(['id' => $request->id]);
        if ($success) {
            return response()->json(['message' =>  __('message.statusThree', ['parameter' => __('message.bank')]), 'status' => 1, 'error' => $this->dataObject], 200);

        } else {
            return response()->json(['message' => __('message.bank_not_found'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);

        }
    }

    public function instapayUpadte(InstapayRequest $request)

    {
        // dd($request);

        try {

            return $this->UserServices->instapayUpadte($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }

    public function instapayDelete(Request $request)

    {
        // dd($request);

        try {

            return $this->UserServices->instapayDelete($request);
        } catch (Exception $e) {

            Log::error('Error: ' . $e->getMessage());

            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }
    

    

    




    // public function getNotifications(Request $request)

    // {

    //     try {

    //         $userData = auth()->user();

    //         return $this->UserServices->getNotifications($request, $userData);

    //     } catch (Exception $e) {

    //         Log::error('Error: ' . $e->getMessage());

    //         return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);

    //     }

    // }

}
