<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Repository\Eloquent\ContentRepository;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Validator;
use Exception;
use Illuminate\Support\Facades\Redis;
use App\Http\Requests\Admin\ListingRequest;
use App\Traits\UploadImageTrait;
use Illuminate\Support\Facades\File;


class ContentController extends Controller
{
    use UploadImageTrait;
    protected $ContentRepository;
    private $dataObject;

    public function __construct(ContentRepository $ContentRepository)
    {
        $this->ContentRepository = $ContentRepository;
        $this->dataObject = new \stdClass();
    }

    public function privacy(Request $request)
    {
        try {
            $data = $this->ContentRepository->getOne(['type' => 'app', 'title' => 'privacy']);
            if (isset($data) && !empty($data)) {
                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }
    

    public function terms(Request $request)
    {
        try {
            $data = $this->ContentRepository->getOne(['type' => 'app', 'title' => 'terms']);
            if (isset($data) && !empty($data)) {
                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }

    
}
