<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Services\Users\UserServices;
use Illuminate\Http\Request;
use App\Http\Requests\Api\SignupRequest;
use App\Repository\Eloquent\UserRepository;
use App\Repository\Eloquent\PlanRepository;
use App\Http\Requests\Api\LoginRequest;
use App\Http\Requests\Api\UniqueRequest;
use App\Http\Requests\Api\ForgetPasswordRequest;
use App\Http\Requests\Api\PurchaseRequest;
use App\Http\Requests\Api\InstapayRequest;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Log;
use App\Http\Requests\Api\BankRequest;
use App\Services\Admin\PlanServices;

use Exception;

class PlanController extends Controller
{
    
    protected $PlanRepository;
    protected $PlanServices;
    private $dataObject;

    public function __construct(PlanRepository $PlanRepository,PlanServices $PlanServices)
    {
        $this->dataObject = new \stdClass();
        $this->PlanRepository = $PlanRepository;
        $this->PlanServices = $PlanServices;
    }

    public function get()  
    {

        try {
            $data = $this->PlanRepository->getAll();
            if (isset($data) && !empty($data)) {
                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
        
    }
    public function planpurchaseInsert(PurchaseRequest $request)  
    {
        
        try {
           return $this->PlanServices->planpurchaseInsert($request);
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
        
    }
    public function subscriptionsHistory()  
    {
        
        try {
            $user = auth()->user();
            $data = $this->PlanRepository->getAllPurchase(['user_id' => $user->id]);
            // dd($data);
            if (isset($data) && !empty($data)) {
                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.Purchase_not_found'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
        
    }
    
    
}

?>