<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Repository\Eloquent\ReportRepository;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Validator;
use Exception;
use App\Http\Requests\Api\FavoriteRequest;
use App\Http\Requests\Api\ReportRequest;
use App\Models\Favorite;
use App\Traits\UploadImageTrait;
use Illuminate\Support\Facades\Auth;
use App\Services\Users\ReportServices;

class ReportController extends Controller
{
    use UploadImageTrait;

    protected $ReportRepository;
    protected $ReportServices;
    private $dataObject;

    public function __construct(ReportRepository $ReportRepository,ReportServices $ReportServices)
    {
        $this->ReportRepository = $ReportRepository;
        $this->dataObject = new \stdClass();
        $this->ReportServices = $ReportServices;
    }

    public function addReport(ReportRequest $request)
    {
        try {
            return $this->ReportServices->addReport($request);
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }

}