<?php



namespace App\Http\Controllers\Api;



use Illuminate\Http\Request;

use App\Http\Controllers\Controller;

use App\Repository\Eloquent\ContentRepository;

use App\Services\Users\{SettingServices,UserServices};

use Illuminate\Support\Facades\DB;

use Exception;



class SettingController extends Controller

{

    private $dataObject;

    protected $ContentRepository;

    protected $SettingServices, $UserServices;



    public function __construct(
        ContentRepository $ContentRepository,
        SettingServices $SettingServices,
        UserServices $UserServices
    ) {
        // Initialize $dataObject as a new stdClass object
        $this->dataObject = new \stdClass();
        $this->ContentRepository =  $ContentRepository;
        $this->SettingServices =  $SettingServices;
        $this->UserServices =  $UserServices;
    }



    public function privacy(Request $request)
    {
        try {
            $data = $this->ContentRepository->getOne(['type' => 'app', 'title' => 'privacy']);
            if (isset($data) && !empty($data)) {
                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }

    public function terms(Request $request)
    {
        try {
            $data = $this->ContentRepository->getOne(['type' => 'app', 'title' => 'terms']);
            if (isset($data) && !empty($data)) {
                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }

    public function appSettings(Request $request)
    {
        try {
            return $this->SettingServices->appSettings($request);
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }
    
    public function getNotifications(Request $request)
    {
        try {
            $userData = auth()->user();
            return $this->SettingServices->getNotifications($request, $userData);
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }
    
    public function clearNotifications(Request $request)
    {
        try {
            $userData = auth()->user();
            return $this->SettingServices->clearNotifications($request, $userData);
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }

    


}

