<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class FoodTypeRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\Rule|array|string>
     */
    public function rules(): array
    {
        $rules = [
            'name_en' => ['required', 'string', 'max:255'],
            'name_ar' => ['required', 'string', 'max:255'],
        ];

        if ($this->isMethod('post')) {
           
            $rules['name_en'][] = 'unique:food_types'; 
            $rules['name_ar'][] = 'unique:food_types'; 
        } elseif ($this->isMethod('put') || $this->isMethod('patch')) {
            $typeId = $this->route('id'); // Adjust this based on how you pass the ID
            $rules['name_ar'][] = Rule::unique('food_types')->ignore($typeId);
            $rules['name_en'][] = Rule::unique('food_types')->ignore($typeId); // Ensure title is unique except for the current record
        }

        return $rules;
    }
}
