<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Http\Exceptions\HttpResponseException;

class EditOrderRequest extends FormRequest
{
    public function authorize()
    {
        return true; // Allow all users to make this request, modify as needed
    }

    public function rules()
    {
        return [
            'id' => 'required|integer', // Ensure id is required and is an integer
            'status' => 'required|in:0,1,2,3,4,5,6', // Ensure status is required and is one of the valid statuses
        ];
    }

    public function messages()
    {
        return [
            'id.required' => __('message.validation.id_required'),
            'id.integer' => __('message.validation.id_integer'),
            'status.required' => __('message.validation.status_required'),
            'status.in' => __('message.validation.status_in'),
        ];
    }
}
