<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Http\Exceptions\HttpResponseException;

class FavoriteRequest extends FormRequest
{
    private $dataObject;

    public function __construct() {
        // Initialize $dataObject as a new stdClass object
        $this->dataObject = new \stdClass();
    }

    public function rules()
    {
        return [
           'menu_id' => 'required|exists:menus,id',
            // 'user_id' => 'required|exists:users,id',
            
        ];
    }
    public function messages()
    {
        return [
            'resta_id.required' => __('message.validation.resta_id_required'),
            // 'user_id.required' => 'The user id is required.',
        ];
    }

    protected function failedValidation(Validator $validator){
        throw new HttpResponseException(response()->json([
            'message' => 'Validation failed',
            'data' =>$this->dataObject,
            'status' => 0,
            'errors' => $validator->errors(),
        ], 400));
    }
    
}
