<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Http\Exceptions\HttpResponseException;
use Illuminate\Validation\Rule;

class LoginRequest extends FormRequest
{
    private $dataObject;

    public function __construct()
    {
        // Initialize $dataObject as a new stdClass object
        $this->dataObject = new \stdClass();
    }

    public function rules()
    {
        return [
            'phone_code' => 'required|integer',
            'phone_no' => 'required|integer',
            'password' => 'required',
        ];
    }
    public function messages()
    {
        return [
            'phone_code.required' => __('message.validation.phone_code_required'),
            'phone_no.required' => __('message.validation.phone_no_required'),
            'password.required' => __('message.validation.password_required'),
            'phone_code.integer' => __('message.validation.phone_code_integer'),
            'phone_no.integer' => __('message.validation.phone_no_integer'),

        ];
    }
    protected function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(response()->json([
            'message' => 'Validation failed',
            'data' => $this->dataObject,
            'status' => 0,
            'errors' => $validator->errors(),
        ], 400));
    }
}
