<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class PlaceOrderRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize()
    {
        return true; // You can implement your own authorization logic here.
    }

    public function rules()
    {
        return [
            'items' => 'required|array',
            'items.*.amount' => 'required|numeric',
            'items.*.qty' => 'required|integer',
            'total_amount' => 'required|numeric',
            'total_quantity' => 'required|integer',
            'payment_type' => 'required|string|in:bank,instapay,cod',
            'instapay_email' => 'required_if:payment_type,instapay|email',
            'instapay_phone_no' => 'required_if:payment_type,instapay|string',
            'bank_name' => 'required_if:payment_type,bank|string',
            'account_number' => 'required_if:payment_type,bank|string',
            'branch_name' => 'required_if:payment_type,bank|string',
            'branch_code' => 'required_if:payment_type,bank|string',
            'chef_id' => 'required|exists:users,id',
        ];
    }
}
