<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;
use Illuminate\Contracts\Validation\Validator;
class ReportRequest extends FormRequest
{
    public function authorize()
    {
        // Set to true if you want to allow all users to make reports
        return true;
    }

    public function rules()
    {
        return [
            'chef_id' => 'required|exists:users,id', 
            'subject' => 'required|string|max:255', 
            'message' => 'required|string',          
        ];
    }

    public function messages()
    {
        return [
            'user_id.required' => __('message.validation.user_id_required'),
        'user_id.exists' => __('message.validation.user_id_exists'),
        'subject.required' => __('message.validation.subject_required'),
        'subject.string' => __('message.validation.subject_string'),
        'subject.max' => __('message.validation.subject_max'),
        'message.required' => __('message.validation.message_required'),
        'message.string' => __('message.validation.message_string'),
        ];
    }
}