<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Request;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Http\Exceptions\HttpResponseException;
use Illuminate\Validation\Rule;

class UniqueRequest extends FormRequest
{

    private $dataObject;

    public function __construct()
    {
        // Initialize $dataObject as a new stdClass object
        $this->dataObject = new \stdClass();
    }

    public function rules(Request $request)
    {
        
        $rules = [
            'email' => 'nullable|email|unique:users,email',
            'phone_no' => 'nullable',
            'phone_code' => 'nullable',
            'phone_no' => [
                'nullable',
                Rule::unique('users')->where(function ($query) use ($request) {
                    return $query->where('phone_code', $request->phone_code);
                }),
            ],
        ];
        return $rules;
    }
    public function messages()
    {
        return [
        ];
    }

    protected function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(response()->json([
            'message' => 'Validation failed',
            'data' => $this->dataObject,
            'status' => 0,
            'errors' => $validator->errors(),
        ], 400));
    }
}
