<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Request;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Http\Exceptions\HttpResponseException;
use Illuminate\Validation\Rule;

class UpdateMenuRequest extends FormRequest
{

    private $dataObject;

    public function __construct()
    {
        // Initialize $dataObject as a new stdClass object
        $this->dataObject = new \stdClass();
    }

    public function rules()
    {

        return [
            'id' => 'required|exists:menus,id',
            'item_name' => 'sometimes|required|string|max:255',
            'upload_images' => 'sometimes|required',
            'price' => 'sometimes|required|numeric|min:0',
            'category_id' => 'sometimes|required|array',
            'category_id.*' => 'exists:categories,id',
            'minimum_deposit' => 'sometimes|nullable|numeric|min:0',
            'type_id' => 'sometimes|required|exists:types,id',
            'preparation_notice' => 'sometimes|nullable|string',
            'detail' => 'sometimes|required|string',
        ];
    }
    public function messages()
    {
        return [];
    }

    protected function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(response()->json([
            'message' => 'Validation failed',
            'data' => $this->dataObject,
            'status' => 0,
            'errors' => $validator->errors(),
        ], 400));
    }
}
