<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Notifications\Notifiable;

class Admin extends Authenticatable
{
    use HasFactory, Notifiable;

    // Define the table associated with the model
    protected $table = 'admins';

    // Define which attributes are mass assignable
    protected $fillable = [
        'name',
        'email',
        'password',
        'profile_image'
    ];

    // Define hidden attributes (e.g., password) for array and JSON conversion
    protected $hidden = [
        'password',
        'remember_token',
    ];

    // Optionally define any custom casts or attributes
}
