<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Menu extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'item_name',
        'upload_images',
        'price',
        'category_id',
        'minimum_deposit',
        'type_id',
        'preparation_notice',
        'detail',
        'preparation_time',
        'foodtype_id',
        'is_favorite',
        'favourite_count'
    ];

    public function type()
    {
        return $this->belongsTo(Type::class, 'type_id');
    }

    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id');
    }
    
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function foodtype()
    {
        return $this->belongsTo(FoodType::class, 'foodtype_id');
    }
    
    public function favorites()
    {
        return $this->hasMany(Favorite::class);
    }
    
}
