<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderMaster extends Model
{
    use HasFactory;

    protected $fillable = [
        'unique_id',
        'user_id',
        'chef_id',
        'payment_type',
        'instapay_email',
        'instapay_phone_no',
        'bank_name',
        'account_number',
        'branch_name',
        'branch_code',
        'total_amount',
        'total_quantity',
        'reason',
        'ready_date',
        'ready_time'
    ];

    public function orderItems()
    {
        return $this->hasMany(OrderItem::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function chef()
    {
        return $this->belongsTo(User::class,'chef_id');
    }
    
}
