<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Purchase extends Model
{
    use HasFactory;
    protected $table = 'subscriptions';

    protected $fillable = [
        'transaction_id',
        'plan_id',
        'user_id',
        'status',
        'payment_method',
        'expires_at',
        'from_at',
        'final_amount',
        'amount',
        'discount',
        'transaction_unique_id'
    ];

    // Define relationships if needed
    public function plan()
    {
        return $this->belongsTo(WorkPlan::class, 'plan_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
