<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Passport\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'email_verified_at',
        'password',
        'remember_token',
        'phone_no',
        'phone_code',
        'user_type',
        'user_status',
        'profile_image',
        'phone_verified_at',
        'is_mobile_verified',
        'is_email_verified',
        'instapay_email',
        'instapay_phone_no',
        'instapay_phone_code',
        'lat',
        'lng',
        'address',
        'device_id',
        'chef_refferal_code',
        'is_featured',
        'refferal_code',
        'referred_by_id'
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
        'password' => 'hashed',
    ];

    public function chefDetail()
    {
        return $this->hasOne(ChefDetail::class, 'user_id', 'id');
    }


    
    public function plan()
    {
        return $this->belongsTo(WorkPlan::class, 'plan_id'); 
    }

    public function bank()
    {
        return $this->hasMany(Bank::class, 'user_id');
    }

    public function allsubcription()
    {
        return $this->hasMany(Purchase::class, 'user_id');
    }


    public function subscription_detail()
    {
        return $this->hasOne(Purchase::class, 'user_id');
    }
    

    public function purchase()
    {
        return $this->belongsTo(Purchase::class, 'subscription_id'); 
    }
}
