<?php



namespace App\Repository\Eloquent;



use App\Models\User;
use App\Models\ChefDetail;
use App\Models\Bank;
use Illuminate\Contracts\Cache\Repository as Cache;

use Illuminate\Support\Facades\Log;

use App\Models\NotificationModel;

use DB;



class UserRepository extends BaseRepository

{



    protected $model;

    protected $cache;
    protected $chefmodel;
    protected  $bankmodel;
    protected $NotificationModel;

    public function __construct(

        User $model,

        Cache $cache,
        ChefDetail $chefmodel,
        Bank $bankmodel,
        NotificationModel $NotificationModel
        
    ) {

        $this->model = $model;
        $this->chefmodel = $chefmodel;
        $this->bankmodel = $bankmodel;
        $this->NotificationModel = $NotificationModel;
        parent::__construct($model, $cache);

    }

    //its a create function used insert data 

    public function create($allData)

    {

        try {

            return $this->model->create($allData);

        } catch (\Exception $e) {

            Log::error("Error in UserRepository.create(): " . $e->getMessage());

            throw $e;

            // return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }

    public function createbank($allData)

    {

        try {

            return $this->bankmodel->create($allData);

        } catch (\Exception $e) {

            Log::error("Error in UserRepository.create(): " . $e->getMessage());

            throw $e;

            // return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }

    public function chefcreate($allData)

    {

        try {

            return $this->chefmodel->create($allData);

        } catch (\Exception $e) {

            Log::error("Error in UserRepository.chefcreate(): " . $e->getMessage());

            throw $e;

            // return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }

    
    public function chefupdate($byWhere, $update)

    {

        try {

            return $this->chefmodel->where($byWhere)->update($update);
        } catch (\Exception $e) {

            Log::error("Error in UserRepository.chefcreate(): " . $e->getMessage());

            throw $e;

            // return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }

    public function update($byWhere, $update)

    {

        try {

            return $this->model->where($byWhere)->update($update);

        } catch (\Exception $e) {

            Log::error("Error in UserRepository.create(): " . $e->getMessage());

            throw $e;

            // return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }

    

    public function getOne($byWhere)

    {

        try {

            $data = $this->model->select('*')->with('chefDetail','bank','purchase','allsubcription','plan')->where($byWhere)->first();

            return $data;

        } catch (\Exception $e) {

            Log::error("Error in UserRepository.getUser(): " . $e->getMessage());

            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }





    public function getAll()

    {

        try {

            return $this->model->orderBy('id', 'desc','purchase')->get();

        } catch (\Exception $e) {

            Log::error("Error in userRepository.userList(): " . $e->getMessage());

            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }



    public function delete($byWhere)

    {

        try {

            return $this->model->where($byWhere)->delete();

        } catch (\Exception $e) {

            Log::error("Error in UserRepository.deleteData(): " . $e->getMessage());

            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }





    public function getByWhere($byWhere, $orderBy = ['id' => 'desc'],$pagination = null)

    {

       try {

            $query = $this->model->with('chefDetail','bank','purchase','plan')->where(function ($query) use ($byWhere) {



                foreach ($byWhere as $column => $condition) {

                    if (is_array($condition)) {

                        

                        if ($condition[0] === "IN") {

                            unset($condition[0]);

                            $query->whereIn($column, $condition);

                        } else {

                            $query->where($column, $condition[0], $condition[1]);

                        }

                    } else {

                        $query->where($column, $condition);

                    }

                }

            });





            // Construct the order by string

            $orderByString = '';

            foreach ($orderBy as $column => $direction) {

                $orderByString .= "$column $direction, ";

            }

            $orderByString = rtrim($orderByString, ', ');


            if ($pagination) {
                return $query->orderByRaw($orderByString)->paginate($pagination);
            } else {
                return $query->orderByRaw($orderByString)->get();
            }


        } catch (\Exception $e) {

            Log::error("Error in UserRepository.getUsersByWhere(): " . $e->getMessage());

            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);

        }

    }



    // public function createContact($allData)
    // {
    //     try {
    //         // dd($allData);
    //         return $this->contactmodel->create($allData);
    //     } catch (\Exception $e) {
    //         Log::error("Error in UserRepository.createContact(): " . $e->getMessage());
    //         return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
    //     }
    // }









    // notification functions



    public function createNotification($sender_user_id, $receiver_user_id, $other = [],$content = [])
    {
        try {

            $notificationData['sender_user_id'] = $sender_user_id;
            $notificationData['receiver_user_id'] = $receiver_user_id;
            // $notificationData['title'] = $title;
            // $notificationData['body'] = $body;
            $notificationData['title_en'] = $content['title_en'];
             $notificationData['title_ar'] = $content['title_ar'];
             $notificationData['body_en'] = $content['body_en'];
             $notificationData['body_ar'] = $content['body_ar'];
            $notificationData['other'] = json_encode($other);
            return $this->NotificationModel->create($notificationData);
        } catch (\Exception $e) {
            Log::error("Error in UserRepository.createNotification(): " . $e->getMessage());
            throw $e;
            // return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
        }
    }


    public function getNotification($byWhere, $limit)
    {
        try {
            return $this->NotificationModel->with('sender_data')->where($byWhere)->orderBy('id', 'desc')->paginate($limit);
        } catch (\Exception $e) {
            Log::error("Error in userRepository.getNotification(): " . $e->getMessage());
            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
        }
    }

    public function getUnreadNotificationCount($user_id)
    {
        try {
            return $this->NotificationModel->where(['receiver_user_id' => $user_id, 'read' => 0])->count();
        } catch (\Exception $e) {
            Log::error("Error in userRepository.getUnreadNotificationCount(): " . $e->getMessage());
            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
        }
    }

    public function readNotifications($byWhere, $updateData)
    {
        try {
            return $this->NotificationModel->whereIn('id', $byWhere)->update($updateData);
        } catch (\Exception $e) {
            Log::error("Error in userRepository.readNotifications(): " . $e->getMessage());
            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
        }
    }
    
    public function deleteNotifications($byWhere)
    {
        try {
            return $this->NotificationModel->where($byWhere)->delete();
        } catch (\Exception $e) {
            Log::error("Error in UserRepository.deleteNotifications(): " . $e->getMessage());
            throw $e;
            // return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
        }
    }

}

