<?php

namespace App\Services\Admin;

use Illuminate\Support\Facades\Hash;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Log;
use App\Repository\Eloquent\ContentRepository;
use Exception;

class AdminServices
{
    /**
     * Update the user's password.
     *
     * @param  string $oldPassword
     * @param  string $newPassword
     * @return bool
     */
    protected $contentRepository;
    public function __construct(ContentRepository $contentRepository)
    {
        
        $this->contentRepository = $contentRepository;
    }

    public function updatePassword($oldPassword, $newPassword)
    {
        try {
            $user = Auth::guard('admin')->user();

            // Check if the old password is correct
            if (!Hash::check($oldPassword, $user->password)) {
                return false;
            }

            // Update the password
            $user->password = Hash::make($newPassword);
            $user->save();

            return true;

        } catch (Exception $e) {
            Log::error("UserService : updatePassword()" . $e->getLine() . " " . $e->getMessage());
            return false;

        }
    }

    public function updateContent($data)
    {
        // dd($data);
        try {
            $ids = $data['id']; 
            $descriptions = $data['description']; 
            $descriptions_ar = $data['description_ar']; 

            foreach ($ids as $key => $id) { 
                $description = $descriptions[$key]; 
                 $description_ar = $descriptions_ar[$key]; 

                $allData['description'] = $description;
                $allData['description_ar'] = $description_ar;
                $run = $this->contentRepository->update(['id' => $id], $allData);
                
            }
            
            if ($run) {
                return response()->json(['status' => '2', 'message' => __('message.statusTwo', ['parameter' => 'Content'])]);
            } else {
                return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
            }
        } catch (\Exception $e) {
            Log::error('Error in ContentService/updateCategory(): ' . $e->getMessage());
            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
        }
    }

    

}
