<?php

namespace App\Services\Admin;

use Illuminate\Support\Facades\Hash;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Log;
use App\Repository\Eloquent\ResturantRepository;
use App\Traits\UploadImageTrait;
use Exception;


class ResturantServices
{
    use UploadImageTrait;

 protected $ResturantRepository;
 private $dataObject;
    public function __construct(ResturantRepository $ResturantRepository)
    {
        
        $this->ResturantRepository = $ResturantRepository;
        $this->dataObject = new \stdClass();
    }


    
    public function add($request)

    {
        // dd($request);
        try {
            $resturantdata['name'] = $request->name;

            $resturantdata['location'] = $request->location;

            if ($request->hasFile('coverimg')) {
                $resturantdata['coverimg'] = $this->uploadImage($request->file('coverimg'), 'coverImage');
            }

            if ($request->hasFile('img2')) {
                $resturantdata['img2'] = $this->uploadImage($request->file('img2'), 'images');
            }
    
            if ($request->hasFile('img3')) {
                $resturantdata['img3'] = $this->uploadImage($request->file('img3'), 'images');
            }

            $resturantdata['phone'] = $request->phone;

            $resturantdata['website'] = $request->website;

            $resturantdata['indoor'] = $request->indoor;

            $openingHours = $request->input('mon_opening_start') . '-' . $request->input('mon_opening_end');
            
            $resturantdata['mon_opening'] = $openingHours;

            $openingtueHours = $request->input('tues_opening_start') . '-' . $request->input('tues_opening_end');
            $resturantdata['tues_opening'] = $openingtueHours;
            $openingwedHours = $request->input('wed_opening_start') . '-' . $request->input('wed_opening_end');
            $resturantdata['wed_opening'] = $openingwedHours;
            $openingthursHours = $request->input('thurs_opening_start') . '-' . $request->input('thurs_opening_end');
            $resturantdata['thurs_opening'] = $openingthursHours;
            $openingfriHours = $request->input('fri_opening_start') . '-' . $request->input('fri_opening_end');
            $resturantdata['fri_opening'] = $openingfriHours;
            $openingsatHours = $request->input('sat_opening_start') . '-' . $request->input('sat_opening_end');
            $resturantdata['sat_opening'] = $openingsatHours;
            $openingsunHours = $request->input('sun_opening_start') . '-' . $request->input('sun_opening_end');
            $resturantdata['sun_opening'] = $openingsunHours;
            $resturantdata['location_id'] = $request->location_id;
            $resturantdata['mrt_management_id'] = $request->mrt_management_id;
            $resturantdata['resta_id'] = $request->resta_id;
            $resturantdata['feature_id'] = json_encode($request->feature_id);
            $resturantdata['city'] = $request->city;
            $resturantdata['state'] = $request->state;
            $resturantdata['postcode'] = $request->postcode;
            $resturantdata['country'] = $request->country;
            $resturantdata['lat'] = $request->lat;
            $resturantdata['lng'] = $request->lng;
            // dd($resturantdata);

            $data =  $this->ResturantRepository->create($resturantdata);
            if($data){
                return response()->json(['message' => __('message.statusOne', ['parameter' => 'Resturant']), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 201);

            }

        } catch (Exception $e) {
            Log::error("ResturantServices : add()" . $e->getLine() . " " . $e->getMessage());
            return redirect()->route('admin.dashboard')->withErrors(['error' => __('message.something_went_wrong')]);
        }
    }



    public function update($request)

    {
        try {
            $resturantdata['name'] = $request->name;

            $resturantdata['location'] = $request->location;

            if ($request->hasFile('coverimg')) {
                $resturantdata['coverimg'] = $this->uploadImage($request->file('coverimg'), 'coverImage');
            }

            if ($request->hasFile('img2')) {
                $resturantdata['img2'] = $this->uploadImage($request->file('img2'), 'images');
            }
    
            if ($request->hasFile('img3')) {
                $resturantdata['img3'] = $this->uploadImage($request->file('img3'), 'images');
            }

            $resturantdata['phone'] = $request->phone;

            $resturantdata['website'] = $request->website;

            $resturantdata['indoor'] = $request->indoor;

            
            $openingHours = $request->input('mon_opening_start') . '-' . $request->input('mon_opening_end');
            
            $resturantdata['mon_opening'] = $openingHours;

            $openingtueHours = $request->input('tues_opening_start') . '-' . $request->input('tues_opening_end');
            $resturantdata['tues_opening'] = $openingtueHours;
            $openingwedHours = $request->input('wed_opening_start') . '-' . $request->input('wed_opening_end');
            $resturantdata['wed_opening'] = $openingwedHours;
            $openingthursHours = $request->input('thurs_opening_start') . '-' . $request->input('thurs_opening_end');
            $resturantdata['thurs_opening'] = $openingthursHours;
            $openingfriHours = $request->input('fri_opening_start') . '-' . $request->input('fri_opening_end');
            $resturantdata['fri_opening'] = $openingfriHours;
            $openingsatHours = $request->input('sat_opening_start') . '-' . $request->input('sat_opening_end');
            $resturantdata['sat_opening'] = $openingsatHours;
            $openingsunHours = $request->input('sun_opening_start') . '-' . $request->input('sun_opening_end');
            $resturantdata['sun_opening'] = $openingsunHours;
            $resturantdata['location_id'] = $request->location_id;

            $resturantdata['mrt_management_id'] = $request->mrt_management_id;

            $resturantdata['resta_id'] = $request->resta_id;
            if ($request->feature_id) {
            $resturantdata['feature_id'] = json_encode($request->feature_id);
            }
            $resturantdata['city'] = $request->city;
            $resturantdata['state'] = $request->state;
            $resturantdata['postcode'] = $request->postcode;
            $resturantdata['country'] = $request->country;
            $resturantdata['lat'] = $request->lat;
            $resturantdata['lng'] = $request->lng;
            // dd($resturantdata);

            
            $data =  $this->ResturantRepository->update(['id' => $request->id], $resturantdata);
            if($data){
                return response()->json(['message' => __('message.statusTwo', ['parameter' => 'Resturant']), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 201);

            }

        } catch (Exception $e) {
            Log::error("ResturantServices : add()" . $e->getLine() . " " . $e->getMessage());
            return redirect()->route('admin.dashboard')->withErrors(['error' => __('message.something_went_wrong')]);
        }
    }

}