<?php



namespace App\Services\Users;



use Illuminate\Support\Facades\Log;

use App\Repository\Eloquent\{ReportRepository};
use Illuminate\Support\Facades\Hash;

use Illuminate\Support\Facades\File;

use Illuminate\Support\Facades\Mail;

use Illuminate\Support\Facades\DB;

use Illuminate\Support\Facades\Auth;

use Illuminate\Support\Str;

use App\Traits\UploadImageTrait;

use App\Http\Requests\Api\FavoriteRequest;
use App\Http\Requests\Api\ReviewRequest;
use App\Models\Favorite;
use App\Services\Users\UserServices;
use App\Repository\Eloquent\MenuRepository;

use Exception;
use App\Models\Review;
use Illuminate\Support\Facades\Validator;
use PhpParser\Node\Expr\FuncCall;

class ReportServices

{
    use UploadImageTrait;

    protected $ReportRepository;
    private $dataObject;

    public function __construct(ReportRepository $ReportRepository)
    {
        $this->ReportRepository = $ReportRepository;
       
        $this->dataObject = new \stdClass();
    }

    public function addReport($request)
    {
        try{
            $user = auth()->user();
            if (!$user) {
                return response()->json(['error' => 'Unauthorized'], 401);
            }
            $value['user_id'] = $user->id;
            $value['chef_id'] = $request->chef_id;
            $value['subject'] = $request->subject;
            $value['message'] = $request->message;
            $data = $this->ReportRepository->create($value);

            if ($data) {
                return response()->json(['message' => __('message.statusOne', ['parameter' => __('message.Report')]), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        }catch(Exception $e){
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }
}