<?php

namespace App\Services\Users;

use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\DB;
use App\Models\User;
use App\Repository\Eloquent\UserRepository;

use Exception;



class SettingServices

{

    private $dataObject;
    protected $UserRepository;

    public function __construct(UserRepository $UserRepository)

    {

        $this->dataObject = new \stdClass();
        $this->UserRepository = $UserRepository;

    }



    public function appSettings($request)

    {

        try {

            if ($request->header('x-api-key') && $request->header('x-api-key') == 'XYZ322EREWRETT') {

                $data = DB::table("app_setting")->get();
                // dd($data);
                if ($data) {



                    $newdata = [];

                    foreach ($data as $key => $value) {

                        $val = $value->value;

                        switch ($val) {

                            case 'true':

                                $newvalue = true;

                                break;

                            case 'false':

                                $newvalue = false;

                                break;

                            default:

                                // Check if the value is numeric

                                if (is_numeric($val)) {

                                    // Convert to integer if numeric

                                    $newvalue = $val + 0; // Adding 0 forces PHP to treat it as a number

                                } else {

                                    // Keep as string otherwise

                                    $newvalue = $val;

                                }

                        }

                        $newdata[$value->key] = $newvalue;

                    }



                    return response()->json(['message' => __('message.success'), 'data' => $newdata, 'status' => 1, 'error' => $this->dataObject], 200);

                } else {

                    return response()->json(['message' => __('message.setting_not')], 404);

                }

            } else {

                return response()->json(['error' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0]);

            }

        } catch (Exception $e) {

            //dd($e);

            Log::error('Error in SettingServices.changeStatus(): ' . $e->getMessage());

            return errorResponse(__('message.statusZero'));

        }

    }

    
    public function getNotifications($request, $userdata)
    {
        
        try {
            $limit = $request->limit ?? 99999;

            $data = $this->UserRepository->getNotification(['receiver_user_id' => $userdata->id], $limit);

            $read_ids = [];
            if ($data) {
                if (!$data->isEmpty()) {
                    foreach ($data as $value) {
                        $value->other = json_decode($value->other);
                        if ($value->read === 0)
                            $read_ids[] = $value->id;
                    }
                }
                if (!empty($read_ids)) {
                    $this->UserRepository->readNotifications($read_ids, ['read' => 1]);
                }

                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.notification_not_found'), 'data' => $this->dataObject, 'status' => 0], 500);
            }
        } catch (\Exception $e) {
            Log::error("Error in UserServices.getNotifications(): " . $e->getMessage());
            return errorResponse(__('message.statusZero'));
        }
    }
    
    public function clearNotifications($request, $userdata)
    {
        try {

            $data = $this->UserRepository->deleteNotifications(['receiver_user_id' => $userdata->id]);
            if ($data) {
                return response()->json(['message' => __('message.success'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.notification_not_found'), 'data' => $this->dataObject, 'status' => 0], 500);
            }
        } catch (\Exception $e) {
            Log::error("Error in UserServices.clearNotifications(): " . $e->getMessage());
            return errorResponse(__('message.statusZero'));
        }
    }

}

