<?php



namespace App\Services\Users;



use Illuminate\Support\Facades\Log;

use App\Repository\Eloquent\{UserRepository};
use App\Repository\Eloquent\BankRepository;

use Illuminate\Support\Facades\Hash;

use Illuminate\Support\Facades\File;

use Illuminate\Support\Facades\Mail;

use Illuminate\Support\Facades\DB;

use Illuminate\Support\Facades\Auth;

use Illuminate\Support\Str;

use App\Traits\UploadImageTrait;

use App\Models\User;
use App\Models\ChefDetail;
use App\Repository\Eloquent\PlanRepository;
use Twilio\Exceptions\RestException;
use Twilio\Rest\Client;
use Exception;



class UserServices

{

    use UploadImageTrait;

    private $dataObject;
    protected $PlanRepository;
    protected $UserRepository, $BankRepository;

    public function __construct(

        UserRepository $UserRepository,
        BankRepository $BankRepository,
        PlanRepository $PlanRepository
    ) {

        $this->dataObject = new \stdClass();
        $this->PlanRepository = $PlanRepository;
        $this->UserRepository = $UserRepository;
        $this->BankRepository = $BankRepository;
    }



    public function signupData($request)
    {
        try {

            $user = $this->UserRepository->getOne(['email' => $request->email]);
            if ($user) {
                $existingUserByEmail = $this->UserRepository->getOne(['email' => $request->email]);
                $existingUserByPhone = $this->UserRepository->getOne(['phone_no' => $request->phone_no]);

                $data['token'] = $user->createToken('LaravelAuthApp')->accessToken;
                $data['user_info'] = $this->getUserDetail(['id' => $user->id]);

                if ($existingUserByEmail && $existingUserByEmail->is_email_verified === 0) {
                    return response()->json(['message' => __('message.email_verify_status_msg'), 'data' => $data, 'status' => 1], 200);
                }

                if ($existingUserByPhone && $existingUserByPhone->is_mobile_verified === 0) {
                    return response()->json(['message' => __('message.phone_verify_status'), 'data' => $data, 'status' => 1], 200);
                }

                if ($existingUserByEmail) {
                    return response()->json(['message' => __('message.email_already_taken'), 'data' => $data, 'status' => 1], 200);
                }

                if ($existingUserByPhone) {
                    return response()->json(['message' => __('message.phone_already_verified'), 'data' => $data, 'status' => 1], 200);
                }
            } else {

                $userdata['name'] = $request->name;

                $userdata['email'] = $request->email;

                $userdata['password'] = $request->password;
                $userdata['phone_no'] = $request->phone_no;
                $userdata['phone_code'] = $request->phone_code;
                $userdata['user_type'] = $request->user_type;
                $userdata['profile_image'] = 'profileImages/user-avatar.jpg';
                $userdata['phone_verified_at'] = date('Y-m-d H:i:s');
                $userdata['is_mobile_verified'] = 1;
                // dd($request->user_type);
                if ($request->user_type == 1) {
                    // dd('fff');
                    $userdata['user_status'] = 1;
                    if ($request->refferal_code) {
                        $userdata['refferal_code'] = $request->refferal_code;
                        $usersss = $this->UserRepository->getOne(['chef_refferal_code' => $request->refferal_code]);
                        // dd($user);
                        $userdata['referred_by_id'] = $usersss->id;
                    }

                    // dd($userdata);
                } else {
                    $userdata['lat'] = $request->lat;
                    $userdata['lng'] = $request->lng;
                    $userdata['address'] = $request->address;
                    $userdata['chef_refferal_code'] = $this->generateChefReferralCode();
                }
                // dd($userdata);
                $user =  $this->UserRepository->create($userdata);
                // dd($user);
                if ($user) {
                    if ($userdata['user_type'] == 2) {
                        $chefdata['user_id'] = $user->id;
                        $chefdata['bio'] =  $request->bio;
                        $chef =  $this->UserRepository->chefcreate($chefdata);

                        $plan_data = $this->PlanRepository->getOne(['id' => 1]);

                        $expiresAt = now()->addDays($plan_data->number_of_days)->format('Y-m-d');
                        $status = 1;
                        $condition = [
                            'user_id' => $user->id,
                            'status' => $status
                        ];


                        $currentPurchases = $this->PlanRepository->getOnePurchase($condition);

                        if ($currentPurchases) {
                            $success = $this->PlanRepository->Purchaseupdate(['id' => $currentPurchases->id], ['status' => 0]);
                            $status = 1;
                        }
                        $randomNo = rand(10000, 99999);
                        $transactionUniqueId = '#' . '' . $randomNo;
                        $data = [
                            'transaction_unique_id' => $transactionUniqueId,
                            'transaction_id' => 'free',
                            'plan_id' => 1,
                            'user_id' => $user->id,
                            'status' => $status,
                            'payment_method' => 'free',
                            'expires_at' => $expiresAt,
                            'final_amount' => $request->final_amount,
                            'amount' => $plan_data->cost,
                            'discount' => $plan_data->discount_percentage,
                        ];
                        // dd($data);
                        if ($status == 1) {
                            $data['from_at'] = now()->format('Y-m-d');
                        }
                        $success = $this->PlanRepository->createPurchase($data);
                        // dd($success);
                        if ($success) {
                            if ($success->status == 1) {
                                User::where('id', $user->id)->update([
                                    'plan_id' => 1,
                                    'subscription_id' => $success->id
                                ]);
                            }
                        }
                    }

                    $data['token'] = $user->createToken('LaravelAuthApp')->accessToken;
                    $data['user_info'] = $this->getUserDetail(['id' => $user->id]);

                    return response()->json(['message' => __('message.singup_success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 201);
                } else {

                    return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
                }
            }
        } catch (\Exception $e) {
            Log::error("Error in UserServices.signupData(): " . $e->getMessage() . ". line:" . $e->getLine());

            // return errorResponse(__('message.statusZero'));
            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }



    public function login($request)
    {


        try {

            // $user = Auth::attempt(['email' => $request->email, 'password' => $request->password]);
            $user = Auth::attempt(['phone_no' => $request->phone_no, 'phone_code' => $request->phone_code, 'password' => $request->password]);
            if ($user) {

                if (auth()->user()->user_status === 2) {

                    return response()->json(['message' => __('message.signin_block'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
                } else {

                    $data['user_info'] = $this->getUserDetail(['id' => auth()->user()->id]);

                    $data['token'] = auth()->user()->createToken('LaravelAuthApp')->accessToken;

                    return response()->json(['message' => __('message.login_success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
                }
            } else {

                return response()->json(['message' => __('message.invalid_login'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (\Exception $e) {

            // dd($e);
            Log::error("Error in UserServices.login(): " . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }





    public function sendOtp($request)

    {

        try {

            $otp = rand(9999, 1000);

            // $user = auth()->user();
            // $userdata = $this->UserRepository->getOne(['phone_no' => $request->phone_no]);

            // if ($userdata) {
            //     $data['otp'] = 1234;

            //     return response()->json(['message' => __('message.otp_success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            // } else {
            //     return response()->json(['message' => __('message.invalid_phone'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            // }
            // $account_sid = env("TWILIO_SID");

            // $auth_token = env("TWILIO_TOKEN");

            // $twilio_number = env("TWILIO_FROM");

            // $msg = 'On your way Verification Code: ' . $otp;

            // $msg .= ' Use this code to verify your mobile number on On your way. Please do not share this code with anyone.';



            // $phone = (stripos($request->phone_with_code, '+') !== false ? '' : '+') . $request->phone_with_code;

            // $phone = "966556554536";



            // $client = new Client($account_sid, $auth_token);

            // $client->messages->create($phone, [

            //     'from' => $twilio_number,

            //     'body' => $msg

            // ]);





            // if (isset($otp_res->code) && $otp_res->code == 1) {

            // $data['otp'] = $otp;



            // } else {

            //     return errorResponse(__('message.statusZero') ." ". json_encode($otp_res), 500);

            // }



            /////////
            /*$phoneCode = $request->phone_code;
            $phoneNo = $request->phone_no;
            $account_sid = env("TWILIO_SID");
            $auth_token = env("TWILIO_TOKEN");
            $twilio_number = env("TWILIO_FROM");
            // dd($twilio_number);
            $msg = 'Matbakh Verification Code: ' . $otp;
            $msg .= __('message.verify_txt');

            $phone = (stripos($phoneCode, '+') === 0 ? '' : '+') . $phoneCode . $phoneNo;*/


            try {
                /*$client = new Client($account_sid, $auth_token);
                $client->messages->create($phone, [
                    'from' => $twilio_number,
                    'body' => $msg
                ]);*/
                $userdata = $this->UserRepository->getOne(['email' => $request->email]);

                if (isset($userdata)) {
                    $body = __('message.greeting', ['name' => $userdata->name]);
                    $body .= '<p>' . __('message.signup_thanks', ['app_name' => env("APP_NAME")]) . '</p>';
                    $body .= '<p>' . __('message.otp_message', ['otp' => $otp]) . '</p>';
                    $mailData = [
                        'subject' => 'Sign-up OTP',
                        'email' => $request->email,
                        'body' => $body,
                    ];

                    $run2 =  Mail::to($request->email)->send(new \App\Mail\DemoMail($mailData));
                    // dd($run2);
                    if ($run2) {
                        return response()->json([
                            'message' =>  __('message.otp_success'),
                            'data' => ['otp' => $otp],
                            'status' => 1,
                            'error' => $this->dataObject
                        ], 200);
                    } else {

                        return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
                    }
                } else {
                    return response()->json(['message' => __('message.email_doesnt_exists'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
                }
            } catch (RestException $e) {
                return response()->json([
                    'message' =>  __('message.statusZero'),
                    'data' => null,
                    'status' => 0,
                    'error' => $this->dataObject
                ], 500);
            }
        } catch (\Exception $e) {

            //dd($e);

            Log::error('Error in UserServices.sendOtp(): ' . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }



    public function verifyOtp($request)

    {

        try {

            $user = auth()->user();
            // dd($user);
            if ($request->phone_no) {
                $userdata = $this->UserRepository->getOne(['phone_no' => $request->phone_no]);
            } else {
                // dd($request->email);
                $userdata = $this->UserRepository->getOne(['email' => $request->email]);
                // dd($userdata);
            }

            if ($userdata && $request->phone_no && $userdata->phone_no === $request->phone_no) {
                // dd('sdfhsdf');
                $profiledata['phone_verified_at'] = date('Y-m-d H:i:s');
                $profiledata['is_mobile_verified'] = 1;
                $run = $this->UserRepository->update(['phone_no' => $request->phone_no], $profiledata);

                if ($run) {

                    return response()->json(['message' => __('message.otp_verified'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);
                } else {

                    return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
                }
            } elseif ($userdata && $request->email && $userdata->email === $request->email) {
                // dd('dgdfghdfkjgh');
                $profiledata['email_verified_at'] = date('Y-m-d H:i:s');
                $profiledata['is_email_verified'] = 1;

                $run = $this->UserRepository->update(['email' => $request->email], $profiledata);

                if ($run) {

                    return response()->json(['message' => __('message.email_verified'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);
                } else {

                    return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
                }
            } else {
                // dd('sdfhsdf');
                return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (\Exception $e) {

            //dd($e);

            Log::error('Error in UserServices.verifyOtp(): ' . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }



    public function resendEmail($request)

    {
        // dd($request);

        try {

            // $otp = rand(9999, 1000);

            // $user = auth()->user();
            // $userdata = $this->UserRepository->getOne(['email' => $request->email]);

            // if ($userdata) {
            //     $data['otp'] = $otp;

            //     return response()->json(['message' => __('message.otp_success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            // } else {
            //     return response()->json(['message' => __('message.email_doesnt_exists'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            // }

            $user = auth()->user();

            // if ($request->email == $user->email) {
            $randomToken = Str::random(40);

            $update['remember_token'] = $randomToken;

            $run = $this->UserRepository->update(['email' => $request->email], $update);



            if ($run) {

                $userdata = $this->UserRepository->getOne(['email' => $request->email]);



                $verificationUrl = route('user-email-verify', ['token' => $userdata['remember_token']]);
                // dd($verificationUrl);
                $body = 'Hello ' . $userdata->name . ',';

                $body .= '<p>Thanks for signing up to ' . env("APP_NAME") . '.</p>Please confirm your email address by clicking on this link:</p>';

                $body .= '<p><a href="' . $verificationUrl . '" target="_blank" style="font-size: 15px; font-family: Helvetica, Arial, sans-serif; color: #902F7E; text-decoration: none;  text-decoration: none; padding: 6px 15px; border-radius: 2px; border: 1px solid #902f7e; display: inline-block;">Verify email</a></p>';




                // dd($body);

                $mailData = [

                    'subject' => 'Verify Email',

                    'email' => $userdata->email,

                    'body' => $body,

                ];

                //$run2 =  Mail::to('shivania.webwiders@gmail.com')->send(new \App\Mail\DemoMail($mailData));
                $run2 =  Mail::to($request->email)->send(new \App\Mail\DemoMail($mailData));

                // Mail::to('behlah.webwiders@gmail.com')->send(new \App\Mail\DemoMail($mailData));

                // }



                if ($run2) {
                    //dd('hhh');
                    return response()->json(['message' => __('message.emailResendStatus'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);
                } else {

                    return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
                }
            } else {
                return response()->json(['message' => __('message.email_doesnt_exists'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (\Exception $e) {

            //dd($e);

            Log::error('Error in UserServices.resendEmail(): ' . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }

    public function instapayUpadte($request)
    {
        try {
            $user = auth()->user();

            if ($request->email) {
                $profiledata['instapay_email'] = $request->email;
            }
            if ($request->phone_no) {
                $profiledata['instapay_phone_no'] = $request->phone_no;
            }
            if ($request->phone_code) {
                $profiledata['instapay_phone_code'] = $request->phone_code;
            }

            $run = $this->UserRepository->update(['id' => $user->id], $profiledata);
            if ($run) {
                return response()->json(['message' => __('message.statusOne', ['parameter' =>  __('message.instapay')]), 'data' => $profiledata, 'status' => 1, 'error' => $this->dataObject], 201);
            } else {

                return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
            }
        } catch (\Exception $e) {

            //dd($e);

            Log::error('Error in UserServices.instapayAdd(): ' . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }


    public function instapayDelete($request)
    {

        try {
            $user = auth()->user();


            $profiledata['instapay_email'] = '';

            $profiledata['instapay_phone_no'] = '';
            // dd($profiledata);
            $run = $this->UserRepository->update(['id' => $user->id], $profiledata);
            if ($run) {
                return response()->json(['message' => __('message.statusThree', ['parameter' =>  __('message.instapay')]), 'data' => $profiledata, 'status' => 1, 'error' => $this->dataObject], 201);
            } else {

                return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
            }
        } catch (\Exception $e) {

            //dd($e);

            Log::error('Error in UserServices.instapayAdd(): ' . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }

    public function bankAdd($request)
    {
        try {
            $user = auth()->user();
            $bankdata['user_id'] = $user->id;

            $bankdata['bank_name'] = $request->bank_name;

            $bankdata['account_number'] = $request->account_number;
            $bankdata['branch_name'] = $request->branch_name;
            $bankdata['branch_code'] = $request->branch_code;

            $run =  $this->BankRepository->create($bankdata);
            if ($run) {
                return response()->json(['message' => __('message.bank_success'), 'data' => $bankdata, 'status' => 1, 'error' => $this->dataObject], 201);
            } else {

                return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
            }
        } catch (\Exception $e) {

            //dd($e);

            Log::error('Error in UserServices.bankAdd(): ' . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }

    public function bankEdit($request)
    {
        try {

            $bankdata['bank_name'] = $request->bank_name;

            $bankdata['account_number'] = $request->account_number;
            $bankdata['branch_name'] = $request->branch_name;
            $bankdata['branch_code'] = $request->branch_code;


            $run =  $this->BankRepository->update(['id' => $request->id], $bankdata);
            if ($run) {
                return response()->json(['message' => __('message.statusTwo', ['parameter' =>  __('message.bank')]), 'data' => $bankdata, 'status' => 1, 'error' => $this->dataObject], 201);
            } else {

                return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
            }
        } catch (\Exception $e) {

            //dd($e);

            Log::error('Error in UserServices.bankEdit(): ' . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
        }
    }



    // public function checkUniqueness($request)
    // {
    //     try {

    //         $conditions = [];
    //         if ($request->has('phone_no')) {
    //             $conditions['phone_no'] = $request->phone_no;
    //         }

    //         if ($request->has('email')) {
    //             $conditions['email'] = $request->email;
    //         }
    //         $data = $this->UserRepository->getOne($conditions);
    //         // dd($data);
    //         if($data){


    //         }else{
    //             return response()->json(['message' => __('message.email_doesnt_exists'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);


    //         }

    //         return response()->json([
    //             'status' => 1,
    //             'data' => $exists
    //         ]);

    //     } catch (\Exception $e) {

    //         Log::error('Error: ' . $e->getMessage());

    //         return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
    //     }
    // }







    public function changePassword($request)

    {

        try {

            $userData = auth()->user();

            if (Hash::check($request['old_password'], $userData->password)) {

                $run = $this->UserRepository->update(['id' => $userData->id], ['password' => Hash::make($request['new_password'])]);

                if ($run) {

                    return response()->json(['message' => __('message.password_changed'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);
                } else {

                    return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0], 500);
                }
            } else {

                return response()->json(['message' => __('message.old_pass_not_match'), 'data' => $this->dataObject, 'status' => 0], 400);
            }
        } catch (\Exception $e) {

            Log::error("Error in UserServices.changePassword(): " . $e->getMessage() . ". line:" . $e->getLine());

            return errorResponse(__('message.statusZero'));
        }
    }



    public function updateUserProfile($request)

    {
        // dd($request);

        try {

            $user = auth()->user();


            if ($request->name) {

                $profiledata['name'] = $request->name;
            }

            if ($request->email) {

                $profiledata['email'] = $request->email;
            }


            if ($request->phone_no) {

                $profiledata['phone_no'] = $request->phone_no;
            }


            if ($request->phone_code) {

                $profiledata['phone_code'] = $request->phone_code;
            }

            if ($request->profile_image) {

                $profiledata['profile_image'] = $request->profile_image;;
            }
            if ($request->lat) {

                $profiledata['lat'] = $request->lat;
            }
            if ($request->lng) {

                $profiledata['lng'] = $request->lng;
            }
            if ($request->address) {

                $profiledata['address'] = $request->address;
            }
            if ($request->device_id) {

                $profiledata['device_id'] = $request->device_id;
            }

            $run  =  $this->UserRepository->update(['id' => $user->id], $profiledata);


            if ($request->bio) {
                $chefdata['bio'] =  $request->bio;
                $chef =  $this->UserRepository->chefupdate(['user_id' => $user->id], $chefdata);
            }

            if ($run) {

                if (isset($profiledata['profile_image'])) {

                    if ($user->profile_image) {
                        $userPath = storage_path('app/public/');
                        $oldImagePath = $userPath . ($user->profile_image);
                        $protectedImagePath = $userPath . 'profileImages/user-avatar.jpg';
                        if (File::exists($oldImagePath) && $oldImagePath !== $protectedImagePath) {
                            File::delete($oldImagePath);
                        }
                    }
                }
                $data['user_info'] = $this->getUserDetail(['id' => $user->id]);

                return response()->json(['message' => __('message.profileUpdate'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {

                return response()->json(['message' => __('message.statusZero'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 500);
            }
        } catch (\Exception $e) {

            //dd($e);

            Log::error('Error in UserServices.updateUserProfile(): ' . $e->getMessage() . ". line:" . $e->getLine());

            return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 500);
        }
    }





    public function forgetPassword($request)

    {

        try {

            $email = $request->email;

            $userData = $this->UserRepository->getOne(['email' => $email]);

            if ($userData) {

                $randomPassword = mt_rand(100000, 999999);

                $update['password'] = Hash::make($randomPassword);

                $this->UserRepository->update(['id' => $userData->id], ['password' => $update['password']]);



                $body = 'Hello, ' . $userData->name;

                $body .= '<p>' . __('message.forgot_txt1') . '</p>';

                $body .= '<p>' . __('message.forgot_text') .
                    ' <span style="font-size: 16px;color: #000;padding: 5px;">' . $randomPassword . '</span>. ' .
                    __('message.forgot_txt2') . '.</p>';



                $mailData = [

                    'subject' => 'Forget password',

                    'email' => $email,

                    'body' => $body,

                ];

                $run =  Mail::to($email)->send(new \App\Mail\DemoMail($mailData));

                // Mail::to('behlah.webwiders@gmail.com')->send(new \App\Mail\DemoMail($mailData));



                if ($run) {

                    return response()->json(['message' => __('message.forget_pass_success_msg'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject]);
                } else {

                    return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject]);
                }
            } else {

                return response()->json(['message' => __('message.email_not_found'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject]);
            }
        } catch (\Exception $e) {

            Log::error("Error in UserServices.forgetPassword(): " . $e->getMessage() . ". line:" . $e->getLine());

            return errorResponse(__('message.statusZero'));
        }
    }





    public function getUserDetail($byWhere)

    {
        try {
            $data = User::where($byWhere)->with(['subscription_detail' => function ($query) {
                $query->where('status', 1);
            }, 'chefDetail', 'bank', 'plan'])
                ->first();

            return $data;
        } catch (\Exception $e) {

            //dd($e);

            Log::error("Error in UserServices.getUserDetail(): " . $e->getMessage());

            return response()->json(['status' => '0', 'message' => __('message.statusZero')]);
        }
    }

    // public function contactData($request)
    // {
    //     // dd($request);
    //     try {
    //         $uploadedFiles = [];
    //         $userData = auth()->user();
    //         $userdata['user_id'] = $userData->id;
    //         $userdata['message'] = $request['message'];
    //         $userdata['screen_shot'] = json_encode($request['screen_shot']);
    //         // if ($request->hasFile('screen_shot')) {
    //         //     $files = $request->file('screen_shot');
    //         //     foreach ($files as $file) {
    //         //         if ($file->isValid()) {
    //         //             $path = $this->uploadImage($file, 'contactusImage');
    //         //             $uploadedFiles[] = $path; // Store the path of the uploaded file
    //         //         }
    //         //     }

    //         // }

    //         $user =  $this->UserRepository->createContact($userdata);

    //         if ($user) {
    //             return response()->json(['message' => __('message.contact_success'), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 201);
    //         } else {
    //             return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0]);
    //         }
    //     } catch (\Exception $e) {
    //         Log::error("Error in UserServices.contactData(): " . $e->getMessage());
    //         return errorResponse(__('message.statusZero'));
    //     }
    // }

    public function updateDrawSettings($request)
    {

        try {
            $value['daily_winner_amt'] = $request->daily_winner_amt;
            $value['daily_1st_runner_up_amt'] = $request->daily_1st_runner_up_amt;
            $value['daily_2nd_runner_up_amt'] = $request->daily_2nd_runner_up_amt;
            $value['weekly_winner_amt'] = $request->weekly_winner_amt;
            $value['weekly_1st_runner_up_amt'] = $request->weekly_1st_runner_up_amt;
            $value['weekly_2nd_runner_up_amt'] = $request->weekly_2nd_runner_up_amt;
            $value['monthly_winner_amt'] = $request->monthly_winner_amt;
            $value['monthly_1st_runner_up_amt'] = $request->monthly_1st_runner_up_amt;
            $value['monthly_2nd_runner_up_amt'] = $request->monthly_2nd_runner_up_amt;

            $success = $this->UserRepository->update(['id' => $request->user_id], $value);

            if ($success) {

                return response()->json(['message' => __('message.statusTwo', ['parameter' => __('message.Draw_Settings')]), 'data' => $this->dataObject, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.some_thing_went_wrong'), 'data' => $this->dataObject, 'status' => 0]);
            }
        } catch (\Exception $e) {
            Log::error("Error in UserServices.updateDrawSettings(): " . $e->getMessage());
            return errorResponse(__('message.statusZero'));
        }
    }




    // public function sendPushNotification($deviceIds, $title, $body, $data)

    // {

    //     return sendPushNotification($deviceIds, $title, $body, $data);

    // }



    // public function getNotifications($request, $userdata)

    // {

    //     try {

    //         $limit = $request->limit ?? 99999;



    //         $data = $this->UserRepository->getNotification(['receiver_user_id' => $userdata->id], $limit);



    //         $read_ids = [];

    //         if ($data) {

    //             if (!$data->isEmpty()) {

    //                 foreach ($data as $value) {

    //                     $value->other = json_decode($value->other);

    //                     if ($value->read === 0)

    //                         $read_ids[] = $value->id;

    //                 }

    //             }

    //             if (!empty($read_ids)) {

    //                 $this->UserRepository->readNotifications($read_ids, ['read' => 1]);

    //             }



    //             return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);

    //         } else {

    //             return response()->json(['message' => __('message.notification_not_found'), 'data' => $this->dataObject, 'status' => 0], 500);

    //         }

    //     } catch (\Exception $e) {

    //         Log::error("Error in UserServices.getNotifications(): " . $e->getMessage());

    //         return errorResponse(__('message.statusZero'));

    //     }

    // }



    public function UploadImageToUrl($request)

    {


        try {

            $folder_name = $request->folderName ?? "temp";



            if ($request->hasFile('image_file')) {

                $image = $request->file('image_file');

                $imagedata = $this->uploadImage($image, $folder_name);
                // dd($imagedata);


                if ($imagedata) {

                    $data['url'] = $imagedata;

                    return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
                } else {

                    return response()->json(['message' => __('message.unable_upload_image'), 'data' => $this->dataObject, 'status' => 0], 500);
                }
            }
        } catch (Exception $e) {

            Log::error("Error in UserServices.UploadImageToUrl(): " . $e->getMessage());

            return errorResponse(__('message.statusZero'));
        }
    }





    public function UploadMultipleImageToUrl($request)

    {

        try {



            $folder_name = $request->folderName ?? "temp";

            $uploadedImages = [];



            if ($request->hasFile('image_file')) {

                $images = $request->file('image_file');



                foreach ($images as $image) {

                    $uploadedImagePath = $this->uploadImage($image, $folder_name);



                    if ($uploadedImagePath) {

                        $uploadedImages[] = $uploadedImagePath;
                    }
                }

                if (!empty($uploadedImages)) {

                    $data['urls'] = $uploadedImages;



                    return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
                } else {

                    return response()->json(['message' => __('message.unable_upload_image'), 'data' => $this->dataObject, 'status' => 0], 400);
                }
            } else {

                return response()->json(['message' => __('message.no_images_uploaded'), 'data' => [], 'status' => 0], 400);
            }
        } catch (Exception $e) {

            Log::error("Error in UserServices.UploadImageToUrl(): " . $e->getMessage());

            return errorResponse(__('message.statusZero'));
        }
    }

    public function missingPlaceAdd($request)
    {
        try {
            $userData = auth()->user();
            $value = [
                'user_id' => $userData->id,
                'latitude' => $request->lat,
                'longitude' => $request->lng,
                'location' => $request->location,
                'country' => $request->country,
                'state' => $request->state,
                'city' => $request->city,
                'postcode' => $request->postcode,
                'restaurant_name' => $request->restaurant_name,
            ];

            // dd($value);

            $data = $this->LocationRepository->missingplacecreate($value);

            if ($data) {

                return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
            } else {
                return response()->json(['message' => __('message.something_went_wrong'), 'data' => $this->dataObject, 'status' => 0, 'error' => $this->dataObject], 400);
            }
        } catch (Exception $e) {
            Log::error('Error: ' . $e->getMessage());
            return response()->json(['error' => __('message.an_error_occured'), 'data' => $this->dataObject, 'status' => 0]);
        }
    }

    public function updateInterval($request)
    {
        try {
            $user_data = auth()->user();

            $userstatus_data = $this->UserRepository->getOne(['id' => $user_data->id]);
            $data['user_status'] = $userstatus_data->user_status;

            $data['unread_notification_count'] = $this->UserRepository->getUnreadNotificationCount($user_data->id);

            return response()->json(['message' => __('message.success'), 'data' => $data, 'status' => 1, 'error' => $this->dataObject], 200);
        } catch (Exception $e) {
            Log::error('Error in UserServices.updateInterval(): ' . $e->getMessage());
            return errorResponse(__('message.statusZero'));
        }
    }

    public function generateChefReferralCode()
    {
        // Define the prefix
        $prefix = 'CHEF-';

        // Generate a random 4-character string (letters and numbers)
        $randomString = strtoupper(substr(str_shuffle('ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'), 0, 4));

        // Combine the prefix and random string
        return $prefix . $randomString;
    }
}
