<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            //
            $table->string('phone_no')->nullable(); 
            $table->string('phone_code')->nullable(); 
            $table->integer('user_type')->nullable(); 
            $table->integer('user_status')->default('0')->nullable();
            $table->string('profile_image')->nullable(); 
            $table->string('instapay_email')->nullable(); 
            $table->string('instapay_phone_no')->nullable(); 
            $table->string('instapay_phone_code')->nullable(); 
            $table->timestamp('phone_verified_at')->nullable(); 
            $table->integer('is_mobile_verified')->default('0')->nullable(); 
            $table->integer('is_email_verified')->default('0')->nullable(); 
            $table->unsignedBigInteger('plan_id')->nullable(); 
            $table->boolean('is_rate')->default(0);
            $table->foreign('plan_id')->references('id')->on('work_plans')->onDelete('set null');
            $table->foreign('subscription_id')->references('id')->on('subscriptions')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            //
            $table->dropColumn([
                'phone_no',
                'phone_code',
                'user_type',
                'user_status',
                'profile_image',
                'plan_id',
                'subscription_id'
            ]);

            $table->dropForeign(['plan_id']); 
        });
    }
};
