<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chef_detail', function (Blueprint $table) {
            $table->id(); 
            $table->unsignedBigInteger('user_id'); 
            $table->text('bio')->nullable(); 
            // $table->string('bank_name')->nullable();
            // $table->string('account_number')->nullable();
            // $table->string('branch_name')->nullable();
            // $table->string('branch_code')->nullable();
            $table->decimal('average_rating')->default(0); 
            $table->integer('review_count')->default(0); 
            $table->timestamps(); 

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chef_detail');
    }
};
