<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('subscriptions', function (Blueprint $table) {
            $table->id(); 
            $table->string('transaction_id'); 
            $table->unsignedBigInteger('plan_id'); 
            $table->unsignedBigInteger('user_id'); 
            $table->tinyInteger('status'); 
            $table->string('payment_method'); 
            $table->dateTime('from_at')->nullable(); 
            $table->dateTime('expires_at')->nullable(); 
            $table->timestamps(); 
            $table->foreign('plan_id')->references('id')->on('work_plans')->onDelete('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('purchases');
    }
};
