<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('menus', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade'); 
            $table->string('item_name'); 
            $table->text('upload_images');
            $table->double('price'); 
            $table->string('category_id'); 
            $table->double('average_rating')->default(0); 
            $table->double('review_count')->default(0); 
            $table->integer('preparation_time')->default(0); 
            $table->double('minimum_deposit')->nullable(); 
            $table->foreignId('type_id')->constrained()->onDelete('cascade');
            $table->text('preparation_notice')->nullable(); 
            $table->text('detail')->nullable(); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('menus');
    }
};
