<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('menus', function (Blueprint $table) {
            //
            $table->foreignId('foodtype_id')->nullable()->constrained('food_types')->onDelete('restrict')->onUpdate('restrict'); 
            $table->unsignedInteger('favourite_count')->default(0); // Count of favorites
            $table->boolean('is_favorite')->default(0); 
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('menus', function (Blueprint $table) {
            //
            $table->dropForeign(['foodtype_id']);
            $table->dropColumn('foodtype_id');
            $table->dropColumn('favourite_count');
            $table->dropColumn('is_favorite');
        });
    }
};
