<?php
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderMasterTable extends Migration
{
    public function up()
    {
        Schema::create('order_masters', function (Blueprint $table) {
            $table->id();
            $table->string('unique_id')->unique();
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade'); // Assuming you have a users table
            $table->foreignId('chef_id')->constrained('users')->onDelete('cascade'); 
            $table->string('payment_type'); // e.g., bank, instapay, cod
            $table->string('instapay_email')->nullable();
            $table->string('instapay_phone_no')->nullable();
            $table->string('bank_name')->nullable();
            $table->string('account_number')->nullable();
            $table->string('branch_name')->nullable();
            $table->string('branch_code')->nullable();
            $table->decimal('total_amount', 10, 2);
            $table->unsignedTinyInteger('status')->default(0); 
            $table->integer('total_quantity');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('order_masters');
    }
}
