<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderItemsTable extends Migration
{
    public function up()
    {
        Schema::create('order_items', function (Blueprint $table) {
            $table->id();
            $table->foreignId('order_master_id')->constrained('order_masters')->onDelete('cascade');
            $table->foreignId('menu_id')->constrained('menus'); 
            $table->decimal('per_item_amount', 10, 2);
            $table->integer('per_item_quantity');
            $table->decimal('total_amount', 10, 2); // amount * quantity
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('order_items');
    }
}

