<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
    <title>{{ config('app.name') }}</title>



    <!-- General CSS Files -->
    <link rel="stylesheet" href="{{ asset('assets/modules/bootstrap/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/modules/fontawesome/css/all.min.css') }}">

    <!-- CSS Libraries -->
    <link rel="stylesheet" href="{{ asset('assets/modules/bootstrap-social/bootstrap-social.css') }}">

    <!-- Template CSS -->
    <link rel="stylesheet" href="{{ asset('assets/css/style.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/components.css') }}">

    <!-- Start GA -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-94034622-3"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'UA-94034622-3');
    </script>
    <!-- /END GA -->
</head>

<body>
    <div id="app">
        <section class="section">
            <div class="container mt-5">
                <div class="row">
                    <div class="">
                        <div class="login-brand">
                            <img src="{{ asset('assets/img/logo.png') }}" alt="logo" width="100"
                                class="shadow-light rounded-circle">
                        </div>

                        <div class="card card-primary">
                            <div class="card-header">
                                <h4>Contact Us</h4>
                            </div>

                            <div class="card-body">
                                <form id="addTeamUpdateDataForm" onsubmit="return addTeamUpdateData()" enctype='multipart/form-data'>
                                    @csrf

                                    <div class="row">
                                        <div class="form-group col-md-6">
                                            <label for="first_name">First name</label>
                                            <input type="text" name="first_name" id="first_name" class="form">
                                            <div class="invalid-feedback" style="display: block;" id="first_nameError"></div>
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label for="last_name">Last name</label>
                                            <input type="text" name="last_name" id="last_name" class="form">
                                            <div class="invalid-feedback" style="display: block;" id="last_nameError"></div>
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label for="email">Email address</label>
                                            <input type="email" name="email" id="email" class="form">
                                            <div class="invalid-feedback" style="display: block;" id="emailError"></div>
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label for="mobile_number">Mobile number</label>
                                            <input type="number" name="mobile_number" id="mobile_number" class="form">
                                            <div class="invalid-feedback" style="display: block;" id="mobile_numberError"></div>
                                        </div>

                                        <div class="form-group col-12">
                                            <label for="message">Message</label>
                                            <textarea name="message" id="message" class="form"></textarea>
                                            <div class="invalid-feedback" style="display: block;" id="messageError"></div>
                                        </div>
                                    </div>

                                    <button type="submit" id="submitBtn" class="btn bg-primary ms-auto d-block text-white">Send</button>
                                </form>
                            </div>
                        </div>

                        <div class="simple-footer">
                            Copyright &copy; {{ config('app.name') }} {{ now()->year }}
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script> <!-- Include SweetAlert2 -->

<script>
    function addTeamUpdateData() {
        // Perform AJAX request
        $.ajax({
            url: "{{ route('admin.contactstore') }}",
            type: 'POST',
            data: new FormData($('#addTeamUpdateDataForm')[0]),
            dataType: 'json',
            cache: false,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('#submitBtn').prop('disabled', true);
                $('#submitBtn').text('Processing...');
            },
            success: function(res) {
                $('#submitBtn').prop('disabled', false);
                $('#submitBtn').text('Send'); // Reset button text on success

                if (res.status === 1) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: res.message,
                    }).then(() => {
                        window.location.reload();
                        $('#addContentModal').modal('hide'); // Hide the modal on success
                    });
                } else {
                    // Clear previous error messages
                    $('.invalid-feedback').text('');
                    $('.form').removeClass('is-invalid');

                    // Display any errors from the response
                    for (const key in res.errors) {
                        if (res.errors.hasOwnProperty(key)) {
                            $(`#${key}Error`).text(res.errors[key][0]); // Update the error display
                            $(`input[name="${key}"], textarea[name="${key}"]`).addClass('is-invalid'); // Add the 'is-invalid' class
                        }
                    }
                }
            },
            error: function(xhr) {
                $('#submitBtn').prop('disabled', false);
                $('#submitBtn').text('Send'); // Reset button text on error

                // Display global error messages if available
                var errors = xhr.responseJSON.errors;

                // Clear previous error messages
                $('.invalid-feedback').text('');
                $('.form').removeClass('is-invalid');

                if (errors) {
                    // Display error messages next to the relevant fields
                    $.each(errors, function(key, value) {
                        var inputField = $('input[name="' + key + '"], textarea[name="' + key + '"]');
                        var errorFeedback = inputField.siblings('.invalid-feedback');
                        errorFeedback.text(value[0]); // Show specific error
                        inputField.addClass('is-invalid'); // Add the 'is-invalid' class to the input
                    });
                }

                $('#form-errors').show(); // Show any general form errors if required
            }
        });
        return false; // Prevent default form submission
    }
</script>
</body>