@extends('admin.layouts.master')

@section('title', 'Order Details')

@section('content')
<style>
    .data-center {
        text-align: center !important;
        display: table-cell !important;
        width: 100%;

    }

    .stars {
        color: gold;
    }

    .star {
        font-size: 1.5em;
    }

    .star.filled {
        color: gold;
    }

    .star {
        color: lightgray;
    }
</style>

<section class="section">
    <div class="section-header">
        <h1>Order Details</h1>
    </div>
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" id="details-tab" data-toggle="tab" href="#details" role="tab" aria-controls="details" aria-selected="true">Order Details</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="details" role="tabpanel" aria-labelledby="details-tab">

            <div class="row">
                <div class="col-lg-6">
                    <p class="mb-0"><strong class="col-4 d-inline-block">Order ID:</strong> {{ $order->unique_id }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Payment Type:</strong> {{ $order->payment_type }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Total Amount:</strong> ${{ $order->total_amount }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Total Quantity:</strong> {{ $order->total_quantity }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Status:</strong> {{ $order->status == 0 ? 'Pending' : ($order->status == 1 ? 'Accepted' : 
                                ($order->status == 2 ? 'Rejected' : ($order->status == 3 ? 'History' : 
                                ($order->status == 4 ? 'Ready' : 
                        ($order->status == 5 ? 'Cancelled' : 
                        ($order->status == 6 ? 'Marked as Complete' : 'Unknown Status')))))) }}</p>
                    @if($order->status == 2)
                    <p class="mb-0"><strong class="col-4 d-inline-block">Reason:</strong> {{ $order->reason }}</p>
                    @endif
                    <p class="mb-0"><strong class="col-4 d-inline-block">Created At:</strong> {{ $order->created_at }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">User:</strong> {{ $order->user->name }} ({{ $order->user->email }})</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Chef:</strong> {{ $order->chef->name }} ({{ $order->chef->email }})</p>
                </div>

                <div class="col-lg-6">
                    @if($order->status === 6)
                    @if ($averageRating !== null)
                    <h3>Average Rating: {{ number_format($averageRating, 1) }} / 5</h3>
                    <div class="stars">
                        @for ($i = 1; $i <= 5; $i++)
                            @if ($i <=$averageRating)
                            <span class="star filled">★</span>
                            @else
                            <span class="star">☆</span>
                            @endif
                            @endfor
                    </div>
                    @else
                    <h3>No ratings available for this order.</h3>
                    @endif
                    @endif
                </div>
            </div>

            <h4 class="mt-4">Order Items</h4>
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Item Name</th>
                        <th>Quantity</th>
                        <th>Price</th>
                        <th>Total Amount</th>
                    </tr>
                </thead>
                <tbody>

                    @if($order->orderItems && $order->orderItems->isNotEmpty())
                    @foreach($order->orderItems as $item)
                    <tr>
                        <td>{{ $item->menu->item_name }}</td>
                        <td>{{ $item->per_item_quantity }}</td>
                        <td>${{ $item->per_item_amount }}</td>
                        <td>${{ $item->total_amount }}</td>
                    </tr>
                    @endforeach
                    @else
                    <tr>
                        <td colspan="12" class="text-center">No items found for this order.</td>
                    </tr>
                    @endif
                </tbody>
            </table>
        </div>

        <a href="javascript:void(0);" class="btn btn-primary" onclick="window.history.back();">Back</a>
    </div>
</section>

@endsection

@section('page_js')
<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
<script>
    // Additional JavaScript can go here
</script>
@endsection