@extends('admin.layouts.master')

@push('pagetitle')
Plan Management
@endpush
@section('content')

<style>
    table.dataTable th.dt-center,
    table.dataTable td.dt-center,
    table.dataTable td.dataTables_empty {
        text-align: center;
        display: table-cell;
        width: 100%;
    }
</style>
<section class="section">
    <div class="section-header">
        <h1>Plan Management</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item active"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
            <div class="breadcrumb-item">Plan</div>
        </div>
    </div>
    <div class="section-body">

        <div class="row">
            <div class="col-lg-12 col-md-6 col-sm-6 col-12">
                <div class="card card-statistic-1">
                    <div class="p-4 pt-lg-0 d-flex justify-content-end">
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#addModal">
                            Add Plan
                        </button>
                    </div>
                    <table id="usersTable" class="table table-striped">
                        <thead>
                            <tr>
                                <th>S.no</th>
                                <!-- <th>ID</th> -->
                                <th>Title</th>
                                <th>Cost</th>
                                <th>No.of days</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>

                            @foreach ($data as $key=>$data)
                            <tr>
                                <td>{{ $key + 1 }}</td>
                                <!-- <td>{{ $data->id }}</td> -->
                                <td>{{ $data->plan_title }}</td>
                                <td>${{ $data->cost }}</td>
                                <td>{{ $data->number_of_days }}</td>

                                <td>
                                    <button class="btn btn-danger delete-btn" data-id="{{ $data->id }}">Delete</button>
                                    <button type="button" class="btn btn-primary show-data" data-toggle="modal" data-target="#exampleModal" data-plan-id="{{ $data->id }}">
                                        Edit
                                    </button>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>

            </div>

        </div>

    </div>
</section>
<div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addModalLabel">Add Plan</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="Type-update-form" method="POST" enctype="multipart/form-data" action="{{ route('admin.plan.add') }}">
                    @csrf

                    <div class="mb-3">
                        <label>Plan Title</label>
                        <input type="text" class="form-control" name="plan_title" required>
                        <div class="invalid-feedback plan_title"></div>
                        <div id="error_message" style="color:red;"></div>
                    </div>

                    <div class="mb-3">
                        <label>Description</label>
                        <textarea class="tinyeditor form-control" name="description" rows="10" placeholder="Enter description"></textarea>
                        <!-- <textarea class="form-control" name="description" required></textarea> -->
                        <div class="invalid-feedback description"></div>
                    </div>

                    <div class="mb-3">
                        <label>Cost ($)</label>
                        <input type="number" class="form-control" name="cost" step="0.01" required>
                        <div class="invalid-feedback cost"></div>
                    </div>

                    <div class="mb-3">
                        <label>Number of Days</label>
                        <input type="text" class="form-control" name="number_of_days" required>
                        <!-- <select class="form-control" name="number_of_days" required>
                            <option value="" disabled selected>Select Days</option>
                            <option value="15">15 Days</option>
                            <option value="30">30 Days</option>
                        </select> -->
                        <div class="invalid-feedback number_of_days"></div>
                    </div>

                    <div class="mb-3">
                        <label>Discount Percentage (optional)</label>
                        <input type="number" class="form-control" name="discount_percentage" step="0.01" min="0" max="100">
                        <div class="invalid-feedback discount_percentage"></div>
                    </div>

                    <div class="modal-footer p-0">
                        <button type="submit" id="update_changes" class="btn btn-primary">Save Changes</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>

        </div>
    </div>

</div>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Edit Plan</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="modal-body">
                    <form id="editPlanForm" method="POST" enctype="multipart/form-data">
                        @csrf
                        @method('PATCH')
                        <input type="hidden" name="id" id="planId">

                        <div class="mb-3">
                            <label for="plan_title" class="form-label">Plan Title</label>
                            <input type="text" class="form-control" id="plan_title" name="plan_title" required>
                            <div class="invalid-feedback plan_title"></div>
                        </div>

                        <div class="mb-3">
                            <label for="description" class="form-label">Description</label>
                            <textarea class="tinyeditor form-control" id="description" name="description" rows="10" placeholder="Enter description"></textarea>
                            <div class="invalid-feedback description"></div>
                        </div>

                        <div class="mb-3">
                            <label for="cost" class="form-label">Cost ($)</label>
                            <input type="number" class="form-control" id="cost" name="cost" step="0.01" required>
                            <div class="invalid-feedback cost"></div>
                        </div>

                        <div class="mb-3">
                            <label for="number_of_days" class="form-label">Number of Days</label>
                            <input type="text" class="form-control" id="number_of_days" name="number_of_days" required>
                            <!-- <select class="form-control" id="number_of_days" name="number_of_days" required>
                                <option value="" disabled selected>Select Days</option>
                                <option value="15">15 Days</option>
                                <option value="30">30 Days</option>
                            </select> -->
                            <div class="invalid-feedback number_of_days"></div>
                        </div>

                        <div class="mb-3">
                            <label for="discount_percentage" class="form-label">Discount Percentage (optional)</label>
                            <input type="number" class="form-control" id="discount_percentage" name="discount_percentage" step="0.01" min="0" max="100">
                            <div class="invalid-feedback discount_percentage"></div>
                        </div>

                        <div class="modal-footer p-0">
                            <button type="submit" id="update_plan_changes" class="btn btn-primary">Save Changes</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>
</div>
@endsection


@section('page_js')
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://cdn.tiny.cloud/1/xbxmvutdrd2s9en3zgqdpdpdsxnnionvpe7gafa5d6b745j9/tinymce/7/tinymce.min.js" referrerpolicy="origin"></script>
<script>
    tinymce.init({
        selector: '.tinyeditor',
        height: 200,
        plugins: ["advlist autolink lists link image charmap print preview anchor",
            "searchreplace visualblocks code fullscreen", "insertdatetime media table contextmenu paste"
        ],
        toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
        setup: function(editor) {
            editor.on('change', function() {
                tinymce.triggerSave();
            });
        }
    });
    $(document).ready(function() {
        // Handle form submission for adding Type
        $('#Type-update-form').on('submit', function(event) {
            console.log('dsfjsdgfhj');
            event.preventDefault(); // Prevent the default form submission

            // Clear previous error messages
            $('.invalid-feedback').empty();
            $('.form-control').removeClass('is-invalid');

            var form = $(this);
            var formData = new FormData(form[0]); // Use FormData to handle file uploads

            $.ajax({
                url: form.attr('action'), // Form action URL
                type: 'POST', // Form submission method
                data: formData, // FormData containing the file
                contentType: false, // Prevent setting Content-Type header
                processData: false, // Prevent jQuery from automatically processing the data
                beforeSend: function() {
                    $("#udpate_changes").prop("disabled", true);
                    $("#udpate_changes").text("Processing...");
                },
                success: function(response) {
                    $("#udpate_changes").prop("disabled", false);
                    $("#udpate_changes").text("Save Changes");

                    if (response.status) {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success!',
                            text: response.message,
                            confirmButtonText: 'OK'
                        }).then(function() {
                            // Disable the submit button and change its text
                            var submitButton = form.find('button[type="submit"]');
                            submitButton.prop('disabled', true).text('Added');

                            // Optionally reload the page or redirect
                            window.location.reload(); // Uncomment this if you want to reload the page
                        });
                    } else {
                        $('#error_message').text(response.message);
                    }
                },
                error: function(xhr) {
                    $("#udpate_changes").prop("disabled", false);
                    $("#udpate_changes").text("Save Changes");

                    // Handle error response
                    var errors = xhr.responseJSON.errors;

                    // Display error messages next to the relevant fields
                    $.each(errors, function(key, value) {
                        var inputField = $('input[name="' + key + '"], textarea[name="' + key + '"], select[name="' + key + '"]');
                        var errorFeedback = inputField.siblings('.invalid-feedback');
                        errorFeedback.text(value[0]);
                        inputField.addClass('is-invalid'); // Add the 'is-invalid' class to the input
                    });

                    $('#form-errors').show(); // Show the error container if needed
                }
            });
        });

        // Handle form submission in modal
        $('#editPlanForm').on('submit', function(event) {
            console.log('dfdsbfhdsb');
            event.preventDefault(); // Prevent the default form submission
            var planId = $(this).data('plan-id');
            console.log(planId);
            var form = $(this);


            var formData = new FormData(form[0]);
            var url = '{{ route("admin.plan.update", ":id") }}';
            url = url.replace(':id', $('#planId').val());

            $.ajax({
                url: url,
                type: 'post',
                headers: {
                    'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                },

                data: formData,
                contentType: false,
                processData: false,
                beforeSend: function() {
                    form.find('button[type="submit"]').prop("disabled", true).text("Saving...");
                },
                success: function(response) {
                    if (response.status) {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success!',
                            text: response.message
                        }).then(function() {
                            $('#exampleModal').modal('hide');
                            location.reload();
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr) {
                    var errors = xhr.responseJSON.errors;

                    // Display error messages next to the relevant fields
                    $.each(errors, function(key, value) {
                        var inputField = $('input[name="' + key + '"], textarea[name="' + key + '"], select[name="' + key + '"]');
                        var errorFeedback = inputField.siblings('.invalid-feedback');
                        errorFeedback.text(value[0]);
                        inputField.addClass('is-invalid'); // Add the 'is-invalid' class to the input
                    });
                },
                complete: function() {
                    form.find('button[type="submit"]').prop("disabled", false).text("Save changes");
                }
            });
        });

        // Handle showing data in modal
        $('.show-data').on('click', function() {

            console.log('Fetching plan data...');
            var planId = $(this).data('plan-id');
            var url = '{{ route("admin.plan.show", ":id") }}';
            url = url.replace(':id', planId);

            $.ajax({
                url: url,
                type: 'GET',
                success: function(response) {
                    if (response.status) {
                        $('#planId').val(response.data.id);
                        $('#plan_title').val(response.data.plan_title);
                        var editor = tinymce.get('description');
                        if (editor) {
                            editor.setContent(response.data.description);
                        } else {
                            console.error('TinyMCE editor instance not found.');
                        }

                        $('#cost').val(response.data.cost);
                        $('#number_of_days').val(response.data.number_of_days);
                        $('#discount_percentage').val(response.data.discount_percentage);

                        $('#exampleModal').modal('show');
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: 'Failed to fetch data'
                    });
                }
            });

        });
        $('.delete-btn').on('click', function() {
            var button = $(this);
            var itemId = button.data('id');
            var itemName = button.data('name') || 'item';

            Swal.fire({
                title: 'Are you sure?',
                text: `Do you really want to delete this ${itemName}?`,
                icon: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete it!',
                cancelButtonText: 'No, cancel!',
                reverseButtons: true
            }).then((result) => {
                if (result.isConfirmed) {
                    button.prop('disabled', true).text('Deleting...');

                    $.ajax({
                        url: '{{ route("admin.plandelete", ":id") }}'.replace(':id', itemId),
                        type: 'POST',
                        data: {
                            _token: '{{ csrf_token() }}'
                        },
                        success: function(response) {
                            button.closest('tr').remove();
                            Swal.fire(
                                'Deleted!',
                                response.message || 'Item deleted successfully!',
                                'success'
                            );
                        },
                        error: function(xhr) {
                            Swal.fire(
                                'Error!',
                                'An error occurred while deleting the item.',
                                'error'
                            );
                        },
                        complete: function() {
                            button.prop('disabled', false).text('Delete');
                        }
                    });
                }
            });
        });

        $('#usersTable').DataTable({
            "paging": true,
            "searching": true,
            "lengthChange": true,
            "pageLength": 10,
            "language": {
                "search": "Search Plan:",
                "lengthMenu": "Display _MENU_ Plan per page"
            }
        });

    });

    $('#exampleModal').on('shown.bs.modal', function() {
        tinymce.remove('#description'); // Remove any existing instance

        tinymce.init({
            selector: '#description',
            height: 480,
            plugins: [
                "advlist autolink lists link image charmap print preview anchor",
                "searchreplace visualblocks code fullscreen",
                "insertdatetime media table contextmenu paste"
            ],
            toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
            setup: function(editor) {
                editor.on('change', function() {
                    tinymce.triggerSave();
                });
            }
        });
    });
</script>
@endsection