@extends('admin.layouts.master')

@section('title', 'Report list')

@section('content')
<style>
    table.dataTable th.dt-center,
    table.dataTable td.dt-center,
    table.dataTable td.dataTables_empty {
        text-align: center;
        display: table-cell;
        width: 100%;
    }
</style>
<section class="section">
    <div class="section-header">
        <h1>Report List</h1>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-6 col-sm-6 col-12">
            <div class="card card-statistic-1">
                <table id="usersTable" class="table table-striped">
                    <thead>
                        <tr>
                            <th>S.no</th>
                            <th>Chef Name</th>
                            <th>User Name</th>
                            <th>Subject</th>
                            <th>Message</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
            </div>

        </div>

    </div>
</section>
<div class="modal fade" id="edit_contactList" tabindex="-1" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">

            <div class="modal-header d-flex align-items-center">
                <h4 class="modal-title" id="myModalLabel">Message</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-3">Message</div>
                    <div class="col-md-9"><b id="messageData"> </b></div>
                </div>
            </div>
            <div class="modal-footer pt-0">
                <button type="button" class="btn btn-dangery btn-sm" data-dismiss="modal">Close</button>
                <!-- <button type="button" class="btn btn-danger btn-sm" data-bs-dismiss="modal" aria-label="Close">Close</button> -->
            </div>

        </div>

        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
@endsection

@section('page_js')

<script>
    $(document).ready(function() {
        $('#usersTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: '{{ route("admin.report.list") }}',
            columns: [{
                    data: 'sn',
                    name: 'sn'
                },
                {
                    data: 'chefName',
                    name: 'chefName'
                },
                {
                    data: 'UserName',
                    name: 'UserName'
                },
                {
                    data: 'subject',
                    name: 'subject'
                },
                {
                    data: 'message',
                    name: 'message'
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
            ],
            //   "order":[
            //     [0,"desc"]
            //   ]
        });




    });

    function getReportData(id) {
        $.ajax({
            url: "{{ route('admin.get-report') }}",
            type: "POST",
            data: {
                id: id,
                _token: '{{ csrf_token() }}'
            },
            dataType: 'json',
            success: function(res) {
                console.log(res);
                $('#messageData').text(res.message);
                $('#edit_contactList').modal('show');
            },
            error: function(error) {
                console.log("errorr-", error);
            }
        });
        return false;
    }
</script>
@endsection