@extends('admin.layouts.master')

@section('title', 'Active Chef user')

@section('content')
<style>
    table.dataTable th.dt-center,
    table.dataTable td.dt-center,
    table.dataTable td.dataTables_empty {
        text-align: center;
        display: table-cell;
        width: 100%;
    }
</style>
<section class="section">
    <div class="section-header">
        <h1>Subscriptions History</h1>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-6 col-sm-6 col-12">
            <div class="card card-statistic-1">
                <table id="usersTable" class="table table-striped">
                    <thead>
                        <tr>
                            <th>S.no</th>
                            <th>Chef Full Name</th>
                            <th>Email</th>
                            <th>Transaction Id</th>
                            <th>Plan Name</th>
                            <th>Plan Cost</th>
                            <th>Discount</th>
                            <th>Final Amount</th>
                            <!-- <th>Plan Status</th> -->
                            <th>Plan Started From</th>
                            <th>Plan Expires At</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($data as $key=>$data)
                        <tr>
                            <td>{{ $key+1 }}</td>
                            <td>{{ $data->user->name }}</td>
                            <td>{{ $data->user->email }}</td>
                            <td>{{$data->transaction_unique_id}}</td>
                            <td>{{ $data->plan->plan_title }}</td>
                            <td>${{ $data->plan->cost }}</td>
                            <td>{{ $data->plan->discount_percentage ?? '0'}}%</td>
                            <td>${{ $data->final_amount }}</td>
                            <!-- <td>{{ $data->status == 1 ? 'Active' : ($data->status == 2 ? 'Upcoming' : ($data->status == 0 ? 'Expired' : 'Unknown Status')) }}</td> -->
                            <td>{{ \Carbon\Carbon::parse($data->from_at)->format('Y-m-d') }}</td>
                            <td>{{ \Carbon\Carbon::parse($data->expires_at)->format('Y-m-d') }}</td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>

        </div>

    </div>
</section>
@endsection

@section('page_js')

<script>
 $(document).ready(function() {
    $('#usersTable').DataTable({
        "paging": true,
        "searching": true,
        "lengthChange": true,
        "pageLength": 10,
        "language": {
            "search": "Search Chef user:",
            "lengthMenu": "Display _MENU_ Chef user per page"
        }
    });
  
});

</script>
@endsection