@extends('admin.layouts.master')

@section('title', 'User Details')

@section('content')
<style>
    .data-center {
        text-align: center !important;
        display: table-cell !important;
        width: 100%;
    }
</style>

<section class="section">
    <div class="section-header">
        <h1>User Details</h1>
    </div>
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" id="details-tab" data-toggle="tab" href="#details" role="tab" aria-controls="details" aria-selected="true">User Details</a>
        </li>
        <!-- @if($user->user_type === 2 && $user->user_status === 1)
        <li class="nav-item">
            <a class="nav-link" id="subscription-history-tab" data-toggle="tab" href="#subscription-history" role="tab" aria-controls="subscription-history" aria-selected="false">Subscription History</a>
        </li>
        @endif -->

        @if($Refrred_user && $user->user_status === 1)
        <li class="nav-item">
            <a class="nav-link" id="refferred-history-tab" data-toggle="tab" href="#refferred-history" role="tab" aria-controls="refferred-history" aria-selected="false">Referred User</a>
        </li>
        @endif
        @if($user->user_type === 2 && $user->user_status === 1)
        <li class="nav-item">
            <a class="nav-link" id="menu-list-tab" data-toggle="tab" href="#menu-list" role="tab" aria-controls="menu-list" aria-selected="false">Menu List</a>
        </li>
        @endif
    </ul>
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="details" role="tabpanel" aria-labelledby="details-tab">

            <div class="row">
                <div class="col-lg-6">
                    @if($user->profile_image)
                    <div class="col mb-3">
                        <a href="{{ asset('storage/' . $user->profile_image) }}" data-lightbox="preview-images" data-title="Image">
                            <img src="{{ asset('storage/' . $user->profile_image) }}" alt="Profile Image" width="100">
                        </a>
                    </div>
                    @endif
                    <p class="mb-0"><strong class="col-4 d-inline-block">Name:</strong> {{ $user->name }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Email:</strong> {{ $user->email }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Phone:</strong> +{{ $user->phone_code }}{{ $user->phone_no }}</p>
                    @if($user->user_type === 2)
                    <p class="mb-0"><strong class="col-4 d-inline-block">Bio:</strong> {{ $user->chefDetail->bio }}</p>
                    @endif
                    <p class="mb-0"><strong class="col-4 d-inline-block">User Status:</strong>
                        {{ $user->user_status == 0 ? 'New User' : ($user->user_status == 1 ? 'Active User' : 'Blocked User') }}
                    </p>
                    @if($user->user_type === 2)
                    <p class="mb-0"><strong class="col-4 d-inline-block">Feature Status:</strong>{{ $user->is_featured ? 'Not feature' : 'Feature' }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Chef Referred Code:</strong>{{ $user->chef_refferal_code }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Total Referred Count:</strong> {{ count($Refrred_user) }}</p>

                    @endif
                    <p class="mb-0"><strong class="col-4 d-inline-block">Instapay Email:</strong> {{ $user->instapay_email ?? '' }}</p>
                    <p class="mb-0"><strong class="col-5 d-inline-block">Instapay Phone:</strong>@if($user->instapay_phone_no)
                        +{{ $user->instapay_phone_code }}{{ $user->instapay_phone_no }}
                        @else
                        {{ $user->instapay_phone_no ?? '' }}
                        @endif
                    </p>



                </div>

                <div class="col-lg-6 mt-3">
                    @if($user->user_type === 2 && count($user->bank) > 0 )
                    <h2><strong>Bank Details</strong></h2>
                    @foreach($user->bank as $bank)
                    <p class="mb-0"><strong class="col-4 d-inline-block">Bank Name:</strong> {{ $bank->bank_name }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Account Number:</strong> {{ $bank->account_number }}</p>
                    <p class="mb-0"><strong class="col-4 d-inline-block">Branch Name:</strong> {{ $bank->branch_name }}</p>
                    <p class="mb-4"><strong class="col-4 d-inline-block">Branch Code:</strong> {{ $bank->branch_code }}</p>
                    @endforeach
                    @endif
                    @if($user->user_type === 2)
                    <h3>Average Rating</h3>
                    <div class="stars">
                        @for ($i = 1; $i <= 5; $i++)
                            @if (floor($ratings['average_rating'])>= $i)
                            <i class="fas fa-star filled"></i>
                            @elseif ($ratings['average_rating'] >= $i - 0.5)
                            <i class="fas fa-star-half-alt filled"></i>
                            @else
                            <i class="far fa-star"></i>
                            @endif
                            @endfor
                            <span class="ml-2">{{ number_format($ratings['average_rating'], 2) }} ({{ $ratings['total_reviews_count'] }} reviews)</span>
                    </div>
                    @endif
                </div>

                <!-- <div class="col-lg-6 mt-3">
                    @if($user->user_type === 2 && $user->user_status === 1)
                    @if($user->purchase)
                    <h4><strong>Active Plan Details</strong></h4>
                    <p class="mb-0"><strong class="col-5 d-inline-block">Plan Name:</strong> {{ $user->plan->plan_title ?? '' }}</p>
                    <p class="mb-0"><strong class="col-5 d-inline-block">Final Amount:</strong>${{ $user->purchase->final_amount ?? 0}}</p>
                    <p class="mb-0"><strong class="col-5 d-inline-block">Plan Started From:</strong> {{ $user->purchase ? \Carbon\Carbon::parse($user->purchase->from_at)->format('Y-m-d') : '' }}</p>
                    <p class="mb-0"><strong class="col-5 d-inline-block">Plan Expires At:</strong>{{ $user->purchase ? \Carbon\Carbon::parse($user->purchase->expires_at)->format('Y-m-d') : '' }}</p>
                    @else
                    <h6>No Active Plan</h6>
                    @endif
                    @endif
                </div> -->
                <div class="col-lg-6">

                </div>
                @if($user->user_type === 2)
                <div class="col-lg-12 mt-3">
                    <h3>Review List</h3>
                    @if($reviews->isEmpty())
                    <p>No reviews found for this user.</p>
                    @else
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>Rating</th>
                                <th>Message</th>
                                <th>Reviewed On</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($reviews as $review)
                            <tr>
                                <td>
                                    <div class="stars">
                                        @for ($i = 1; $i <= 5; $i++)
                                            @if (floor($review->rating) >= $i)
                                            <i class="fas fa-star filled"></i>
                                            @elseif ($review->rating >= $i - 0.5)
                                            <i class="fas fa-star-half-alt filled"></i>
                                            @else
                                            <i class="far fa-star"></i>
                                            @endif
                                            @endfor
                                    </div>
                                </td>
                                <td>{{ $review->message }}</td>
                                <td>{{ $review->created_at->format('Y-m-d') }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                    @endif

                </div>
                @endif

            </div>
        </div>

        <div class="tab-pane fade" id="subscription-history" role="tabpanel" aria-labelledby="subscription-history-tab">


            <div class="card bg-white">
                <h4>Subscription history</h4>

                <div class="col-lg-12">
                    <div class="card card-statistic-1">
                        <table id="usersTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>S.no</th>
                                    <th>Transaction Id</th>
                                    <th>Plan Name</th>
                                    <th>Plan Status</th>
                                    <th>Plan Cost</th>
                                    <th>Discount</th>
                                    <th>Final Amount</th>
                                    <th>Plan Started From</th>
                                    <th>Plan Expires At</th>
                                </tr>
                            </thead>

                            <tbody>
                                @if(!empty($allsubscription) && $allsubscription->count() > 0)
                                @foreach ($allsubscription as $key=>$plan)
                                <tr>
                                    <td>{{ $key+1 }}</td>
                                    <td>{{$plan->transaction_unique_id}}</td>
                                    <td>{{ $plan->plan->plan_title }}</td>
                                    <td>{{ $plan->status == 1 ? 'Active' : ($plan->status == 2 ? 'Upcoming' : ($plan->status == 0 ? 'Expired' : 'Unknown Status')) }}
                                    </td>
                                    <td>${{ $plan->plan->cost }}</td>
                                    <td>{{ $plan->plan->discount_percentage ?? '0'}}%</td>
                                    <td>${{ $plan->final_amount }}</td>
                                    <td>{{ \Carbon\Carbon::parse($plan->from_at)->format('Y-d-m') }}</td>
                                    <td>{{ \Carbon\Carbon::parse($plan->expires_at)->format('Y-d-m') }}</td>

                                </tr>
                                @endforeach
                                @else
                                <tr>
                                    <td class="data-center" colspan="6">No Data available</td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="refferred-history" role="tabpanel" aria-labelledby="refferred-history-tab">


            <div class="card bg-white">
                <h4>Referred User</h4>

                <div class="col-lg-12">
                    <div class="card card-statistic-1">
                        <table id="usersTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>S.no</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Profile Image</th>
                                    <th>Mobile</th>
                                    <th>Referred Code</th>
                                </tr>
                            </thead>

                            <tbody>
                                @if(!empty($Refrred_user) && $Refrred_user->count() > 0)
                                @foreach ($Refrred_user as $key=>$user)
                                <tr>
                                    <td>{{ $key+1 }}</td>
                                    <td>{{ $user->name }}</td>
                                    <td>{{ $user->email }}</td>
                                    <td>
                                        @if($user->profile_image)
                                        <img src="{{ asset('storage/' .  $user->profile_image) }}" alt="Profile Image" width="50">
                                        @endif
                                    </td>
                                    <td>+{{ $user->phone_code }}{{ $user->phone_no }}</td>
                                    <td>{{ $user->refferal_code }}</td>
                                </tr>
                                @endforeach
                                @else
                                <tr>
                                    <td class="data-center" colspan="6">No User Available</td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="menu-list" role="tabpanel" aria-labelledby="menu-list-tab">


            <div class="card bg-white">
                <h4>Menu List</h4>

                <div class="col-lg-12">
                    <div class="card card-statistic-1">
                        <table id="menuTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>S.no</th>
                                    <th>Name</th>
                                    <th>Price</th>
                                    <th>Minimum Deposit</th>
                                    <th>Category</th>
                                    <th>Type</th>
                                    <th>View</th>
                                </tr>
                            </thead>

                            <tbody>
                                @if(!empty($menu_data) && $menu_data->count() > 0)
                                @foreach ($menu_data as $key=>$data)
                                <tr>
                                    <td>{{ $key+1 }}</td>
                                    <td>{{ $data->item_name }}</td>
                                    <td>${{ $data->price }}</td>
                                    <td>{{$data->minimum_deposit ?? '-'}} %</td>
                                    <td> @if ($data->category_names->isNotEmpty())
                                        @foreach ($data->category_names as $category)
                                        {{ $category->name }}@if (!$loop->last), @endif
                                        @endforeach
                                        @else
                                        No Category
                                        @endif
                                    </td>
                                    <td>{{ $data->type->title }}</td>
                                    <td><button class="btn btn-primary btn-sm" onclick="return getData({{ $data->id }})">
                                            View
                                        </button></td>
                                </tr>
                                @endforeach
                                @else
                                <tr>
                                    <td class="data-center" colspan="7">No Data available</td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <a href="javascript:void(0);" class="btn btn-primary" onclick="window.history.back();">Back</a>
    </div>
</section>
<div class="modal fade" id="edit_model" tabindex="-1" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">

            <div class="modal-header d-flex align-items-center">
                <h4 class="modal-title" id="myModalLabel">Menu Details</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row mb-3">
                    <div class="col-md-4">Name</div>
                    <div class="col-md-8"><b id="name"> </b></div>
                </div>
                <div class="row mb-3">
                    <div class="col-md-4">Price</div>
                    <div class="col-md-8"><b id="price"> </b></div>
                </div>
                <div class="row mb-3">
                    <div class="col-md-4">Minimum Deposit</div>
                    <div class="col-md-8"><b id="minimum_deposit"></b></div>
                </div>
                <div class="row mb-3">
                    <div class="col-md-4">Preparation Notice</div>
                    <div class="col-md-8"><b id="preparation_notice"> </b></div>
                </div>
                <div class="row mb-3">
                    <div class="col-md-4">Preparation time</div>
                    <div class="col-md-8"><b id="preparation_time"> </b></div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">Detail</div>
                    <div class="col-md-8"><b id="detail"> </b></div>
                </div>
                <div class="row">
                    <div class="col-md-4">Images</div>
                    <div class="col-md-8"><b id="screenshotData"> </b></div>
                </div>
            </div>
            <div class="modal-footer pt-0">
                <button type="button" class="btn btn-dangery btn-sm" data-dismiss="modal">Close</button>
                <!-- <button type="button" class="btn btn-danger btn-sm" data-bs-dismiss="modal" aria-label="Close">Close</button> -->
            </div>

        </div>

        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
@endsection

@section('page_js')
<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>
<script src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />

<script>
    function getData(id) {
        console.log(id);
        $.ajax({
            url: "{{ route('admin.get-menu') }}",
            type: "POST",
            data: {
                id: id,
                _token: '{{ csrf_token() }}'
            },
            dataType: 'json',
            success: function(res) {
                console.log(res);
                $('#name').text(res.item_name);
                let preparationTime = res.preparation_time || "00:00";
                $('#preparation_time').text(preparationTime + ' minutes');

                if (res.minimum_deposit !== null && res.minimum_deposit !== undefined) {
                    $('#minimum_deposit').text(res.minimum_deposit + ' %');
                } else {
                    $('#minimum_deposit').text('-');
                }

                // Set preparation notice
                if (res.preparation_notice !== null && res.preparation_notice !== undefined) {
                    $('#preparation_notice').text(res.preparation_notice);
                } else {
                    $('#preparation_notice').text('-');
                }
                $('#price').text(' $' + res.price);
                $('#detail').text(res.detail);
                let imagePaths = [];
                try {
                    imagePaths = JSON.parse(res.upload_images);
                } catch (e) {
                    console.error("Error parsing upload_images:", e);
                }

                let screenshotHtml = '';
                if (Array.isArray(imagePaths)) {
                    imagePaths.forEach(function(path) {
                        // Ensure the path is formatted correctly
                        let url = '{{ asset("storage") }}' + '/' + path.replace(/\\/g, '/'); // Adjust for potential backslashes
                        console.log(url);
                        screenshotHtml += '<a href="' + url + '" data-lightbox="preview-images" data-title="Screenshot">' +
                            '<img src="' + url + '" border="0" width="40" class="img-rounded" align="center" />' +
                            '</a> ';
                    });
                }

                console.log(screenshotHtml);
                $('#screenshotData').html(screenshotHtml);

                // var image = res.user.profile_image ? '{{ asset("storage") }}/' + res.user.profile_image : '';
                // $('#profile_image').attr('src', image);


                // $("#screenshotData").text(res.screen_shot);
                $('#edit_model').modal('show');
            },
            error: function(error) {
                console.log("errorr-", error);
            }
        });
        return false;
    }
    $(document).ready(function() {

        $('#usersTable').DataTable({
            "paging": true,
            "searching": true,
            "lengthChange": true,
            "pageLength": 10,
            "language": {
                "search": "Search Subscription :",
                "lengthMenu": "Display _MENU_ Subscription  per page"
            }
        });
        $('#menuTable').DataTable({
            "paging": true,
            "searching": true,
            "lengthChange": true,
            "pageLength": 10,
            "language": {
                "search": "Search Menu :",
                "lengthMenu": "Display _MENU_ Menu  per page"
            }
        });

    });
</script>
@endsection