<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

// Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
//     return $request->user();
// });

Route::middleware('setlocale')->group(function () {
    Route::group(['namespace' => 'App\Http\Controllers\Api'], function () {

        Route::post('signup', 'AuthController@signup')->name('signup');
        Route::post('login', 'AuthController@login')->name('login');
        Route::post('forgot-password', 'AuthController@forgetPassword')->name('forgot-password');
        Route::post('check-uniqueness-phone-number-email', 'AuthController@checkUniqueness')->name('check-uniqueness-phone-number-email');
        Route::post('send-otp', 'AuthController@sendOtp')->name('send-otp');
        Route::post('verify-otp', 'AuthController@verifyOtp')->name('verify-otp');
        Route::post('resend-email', 'AuthController@resendEmail')->name('resend-email');
        Route::get('review-list', 'OrderController@reviewList')->name('review-list');
        Route::get('privacy-policy', 'ContentController@privacy')->name('privacy-policy');
        Route::get('terms', 'ContentController@terms')->name('terms');
        Route::get('app-settings', 'SettingController@appSettings')->name('app-settings');

        Route::middleware('auth:api')->group(function () {


            Route::match(['patch', 'post'], 'change-password', 'AuthController@changePassword')->name('change-password');
            Route::get('get-user-detail', 'AuthController@userDetails')->name('get-user-detail');
            Route::post('add-bank', 'AuthController@bankAdd')->name('add-bank');
            Route::post('edit-bank', 'AuthController@bankEdit')->name('edit-bank');
            Route::delete('/delete-bank', 'AuthController@deleteBank')->name('delete-bank');
            Route::put('edit-profile', 'AuthController@editProfile')->name('edit-profile');
            Route::post('uploadimage-to-url', 'AuthController@UploadImageToUrl')->name('uploadimage-to-url');
            Route::post('upload-multiple-image-to-url', 'AuthController@UploadMultipleImageToUrl')->name('upload-multiple-image-to-url');
            Route::post('update-instapay', 'AuthController@instapayUpadte')->name('update-instapay');
            Route::post('delete-instapay', 'AuthController@instapayDelete')->name('delete-instapay');
            Route::get('plan-list', 'PlanController@get')->name('plan-list');
            Route::post('plan-purchase', 'PlanController@planpurchaseInsert')->name('plan-purchase');
            Route::get('subscriptions-history', 'PlanController@subscriptionsHistory')->name('subscriptions-history');
            Route::post('add-menu', 'MenuController@menuAdd')->name('add-menu');
            Route::post('edit-menu', 'MenuController@menuEdit')->name('edit-menu');
            Route::get('get-menu', 'MenuController@menuList')->name('get-menu');
            Route::get('type-list', 'MenuController@typeList')->name('type-list');
            Route::get('category-list', 'MenuController@categoryList')->name('category-list');
            Route::get('foodtype-list', 'MenuController@foodtypeList')->name('foodtype-list');
            Route::delete('delete-menu', 'MenuController@deleteMenu')->name('delete-menu');
            Route::get('getall-menu', 'MenuController@menuAll')->name('getall-menu');
            Route::get('menu-detail', 'MenuController@menuDetail')->name('menu-detail');
            Route::post('add-order', 'OrderController@placeOrder')->name('add-order');
            Route::get('get-order', 'OrderController@getOrder')->name('get-order');
            Route::post('edit-order', 'OrderController@editOrder')->name('edit-order');
            Route::get('order-detail', 'OrderController@orderDetail')->name('order-detail');
            Route::get('get-notifications', 'SettingController@getNotifications')->name('get-notifications');
            Route::get('clear-notifications', 'SettingController@clearNotifications')->name('clear-notifications');
            Route::put('interval', 'AuthController@interval')->name('interval');
            Route::get('get-featured-chefs', 'AuthController@getFeaturedChef')->name('get-featured-chefs');
          
            Route::post('add-review', 'OrderController@addReview')->name('add-review');
            Route::post('favourite ', 'FavoriteController@addToFavorite')->name('favorites');
            Route::get('favorites-list', 'FavoriteController@myFavoriteList')->name('favorites-list');
            Route::delete('/favorites-remove', 'FavoriteController@removeFromFavorite')->name('favorites-remove');
            Route::get('transaction-history', 'OrderController@transactionHistory')->name('transaction-history');
            Route::post('report', 'ReportController@addReport')->name('report');
        });
    });
});
