<?php $__env->startSection('title', 'Active Client'); ?>

<?php $__env->startSection('content'); ?>
<section class="section">
    <div class="section-header">
        <h1>Active Client</h1>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-6 col-sm-6 col-12">
            <div class="card card-statistic-1">
                <table id="usersTable" class="table table-striped">
                    <thead>
                        <tr>
                            <th>S.no</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Profile Image</th>
                            <th>Mobile</th>
                            <th>Chef Referred Code</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $activeUsers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr id="user-<?php echo e($user->id); ?>">
                            <td><?php echo e($key+1); ?></td>
                            <td><?php echo e($user->name); ?></td>
                            <td><?php echo e($user->email); ?></td>
                            <td>
                                <?php if($user->profile_image): ?>
                                <img src="<?php echo e(asset('storage/' .  $user->profile_image)); ?>" alt="Profile Image" width="50">
                                <?php endif; ?>
                            </td>
                            <td>+<?php echo e($user->phone_code); ?><?php echo e($user->phone_no); ?></td>
                            <td><?php echo e($user->refferal_code); ?></td>
                            <td>
                                <?php echo e($user->user_status == 1 ? 'Active' : ($user->user_status == 2 ? 'Blocked' : '')); ?>

                            </td>
                            <td>
                                <?php if($user->user_status == 1): ?>
                                <button class="btn btn-warning block-btn" data-id="<?php echo e($user->id); ?>">Block</button>
                                <?php elseif($user->user_status == 2): ?>
                                <button class="btn btn-success unblock-btn" data-id="<?php echo e($user->id); ?>">Unblock</button>
                                <?php endif; ?>
                                <a href="<?php echo e(route('admin.userdetail', $user->id)); ?>" class="btn btn-primary">View</a>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

        </div>

    </div>
</section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page_js'); ?>

<script>
 $(document).ready(function() {
    $('#usersTable').DataTable({
        "paging": true,
        "searching": true,
        "lengthChange": true,
        "pageLength": 10,
        "language": {
            "search": "Search Client:",
            "lengthMenu": "Display _MENU_ store per page"
        }
    });

    $('.block-btn').on('click', function() {
      var userId = $(this).data('id');
      var $button = $(this);
      var url = '<?php echo e(route("admin.users.block", ":id")); ?>'; // Dynamic URL template for block
      url = url.replace(':id', userId); // Replace placeholder with actual user ID
      var blockText = 'Are you sure you want to block this user?';

      $button.prop('disabled', true);

      Swal.fire({
        title: 'Are you sure?',
        text: blockText,
        icon: 'warning',
        showCancelButton: true,
        confirmButtonText: 'Yes, block!',
        cancelButtonText: 'No, cancel!',
        reverseButtons: true
      }).then((result) => {
        if (result.isConfirmed) {
          $.ajax({
            url: url,
            type: 'POST',
            data: {
              _token: $('meta[name="csrf-token"]').attr('content') // CSRF token
            },
            success: function(response) {
              Swal.fire(
                'Blocked!',
                response.message,
                'success'
              ).then(() => {
                location.reload(); // Optionally reload the page
              });
            },
            error: function(xhr) {
              console.log(xhr.responseText);
              Swal.fire(
                'Error!',
                'Something went wrong.',
                'error'
              );
            }
          }).always(function() {
            $button.prop('disabled', false);
          });
        } else {
          $button.prop('disabled', false);
        }
      });
    });

    // Unblock button click event
    $('.unblock-btn').on('click', function() {
      var userId = $(this).data('id');
      var $button = $(this);
      var url = '<?php echo e(route("admin.users.unblock", ":id")); ?>'; // Dynamic URL template for unblock
      url = url.replace(':id', userId); // Replace placeholder with actual user ID
      var unblockText = 'Are you sure you want to unblock this user?';

      $button.prop('disabled', true);

      Swal.fire({
        title: 'Are you sure?',
        text: unblockText,
        icon: 'warning',
        showCancelButton: true,
        confirmButtonText: 'Yes, unblock!',
        cancelButtonText: 'No, cancel!',
        reverseButtons: true
      }).then((result) => {
        if (result.isConfirmed) {
          $.ajax({
            url: url,
            type: 'POST',
            data: {
              _token: $('meta[name="csrf-token"]').attr('content') // CSRF token
            },
            success: function(response) {
              Swal.fire(
                'Unblocked!',
                response.message,
                'success'
              ).then(() => {
                location.reload(); // Optionally reload the page
              });
            },
            error: function(xhr) {
              console.log(xhr.responseText);
              Swal.fire(
                'Error!',
                'Something went wrong.',
                'error'
              );
            }
          }).always(function() {
            $button.prop('disabled', false);
          });
        } else {
          $button.prop('disabled', false);
        }
      });
    });

  
});

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/matbakh/public_html/admin/resources/views/admin/active-user.blade.php ENDPATH**/ ?>