<?php $__env->startSection('title', 'Incoming Chef User'); ?>

<?php $__env->startSection('content'); ?>
<style>
    table.dataTable th.dt-center,
    table.dataTable td.dt-center,
    table.dataTable td.dataTables_empty {
        text-align: center;
        display: table-cell;
        width: 100%;
    }
</style>
<section class="section">
    <div class="section-header">
        <h1>Incoming Chef User</h1>
    </div>
    <div class="row">
        <div class="col-lg-12" style="padding: 1px;">
            <div class="card card-statistic-1">
                <table id="myTable" class="table table-striped">
                    <thead>
                        <tr>
                            <th>S.no</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Profile Image</th>
                            <th>Mobile</th>
                            <th>Chef Refferal Code</th>
                            <th>Phone Verified</th>
                            <th>Email Verified</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr id="user-<?php echo e($user->id); ?>">
                            <td><?php echo e($key+1); ?></td>
                            <td><?php echo e($user->name); ?></td>
                            <td><?php echo e($user->email); ?></td>
                            <td>
                                <?php if($user->profile_image): ?>
                                <img src="<?php echo e(asset('storage/' .  $user->profile_image)); ?>" alt="Profile Image" width="50">
                                <?php endif; ?>
                            </td>
                            <td>+<?php echo e($user->phone_code); ?><?php echo e($user->phone_no); ?></td>
                            <td><?php echo e($user->chef_refferal_code); ?></td>
                            <td> <?php echo e($user->phone_verified_at ? 'Yes' : 'No'); ?></td>
                            <td> <?php echo e($user->email_verified_at ? 'Yes' : 'No'); ?></td>
                            <td>
                                <?php if($user->user_status == 0): ?>
                                <button class="btn btn-success accept-btn" data-id="<?php echo e($user->id); ?>">Accept</button>
                                <button class="btn btn-danger reject-btn" data-id="<?php echo e($user->id); ?>">Reject</button>
                                <?php endif; ?>
                                <a href="<?php echo e(route('admin.userdetail', $user->id)); ?>" class="btn btn-primary">View</a>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

        </div>

    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page_js'); ?>

<script>
  $(document).ready(function() {
    $('#myTable').DataTable({
        "paging": true,
        "searching": true,
        "lengthChange": true,
        "pageLength": 10,
        "language": {
            "search": "Search Chef:",
            "lengthMenu": "Display _MENU_ store per page"
        }
    });

    $('.accept-btn').on('click', function() {
      var userId = $(this).data('id');
      var $button = $(this);
      var url = '<?php echo e(route("admin.users.accept", ":id")); ?>'; // Dynamic URL template
      url = url.replace(':id', userId); // Replace placeholder with actual user ID
      var successText = 'Are you sure you want to accept this user?';

      $button.prop('disabled', true);

      Swal.fire({
        title: 'Are you sure?',
        text: successText,
        icon: 'warning',
        showCancelButton: true,
        confirmButtonText: 'Yes, proceed!',
        cancelButtonText: 'No, cancel!',
        reverseButtons: true
      }).then((result) => {
        if (result.isConfirmed) {
          $.ajax({
            url: url,
            type: 'POST',
            data: {
              _token: $('meta[name="csrf-token"]').attr('content') // CSRF token
            },
            success: function(response) {
              Swal.fire(
                'Success!',
                response.message,
                'success'
              ).then(() => {
                location.reload(); // Optionally reload the page
              });
            },
            error: function(xhr) {
              console.log(xhr.responseText);
              Swal.fire(
                'Error!',
                'Something went wrong.',
                'error'
              );
            }
          }).always(function() {
            $button.prop('disabled', false);
          });
        } else {
          $button.prop('disabled', false);
        }
      });
    });
  
    $('.reject-btn').on('click', function() {
  var userId = $(this).data('id');
  var $button = $(this);
  var url = '<?php echo e(route("admin.users.reject", ":id")); ?>'; // Dynamic URL template for reject
  url = url.replace(':id', userId); // Replace placeholder with actual user ID

  // Prompt for the rejection reason
  Swal.fire({
    title: 'Are you sure?',
    text: 'Please provide a reason for rejecting this user.',
    input: 'textarea', // Use textarea for the reason
    inputPlaceholder: 'Enter reason here...',
    inputAttributes: {
      'aria-label': 'Enter reason for rejection'
    },
    icon: 'warning',
    showCancelButton: true,
    confirmButtonText: 'Yes, reject!',
    cancelButtonText: 'No, cancel!',
    reverseButtons: true
  }).then((result) => {
    if (result.isConfirmed) {
      var reason = result.value; // Get the reason from the input

      if (reason) { // Check if the reason is not empty
        $button.prop('disabled', true);

        $.ajax({
          url: url,
          type: 'POST',
          data: {
            _token: $('meta[name="csrf-token"]').attr('content'), // CSRF token
            reason: reason // Send the reason with the request
          },
          success: function(response) {
            Swal.fire(
              'Rejected!',
              response.message,
              'success'
            ).then(() => {
              location.reload(); // Optionally reload the page
            });
          },
          error: function(xhr) {
            console.log(xhr.responseText);
            Swal.fire(
              'Error!',
              'Something went wrong.',
              'error'
            );
          }
        }).always(function() {
          $button.prop('disabled', false);
        });
      } else {
        Swal.fire(
          'Cancelled',
          'Rejection reason is required!',
          'info'
        );
      }
    } else {
      $button.prop('disabled', false);
    }
  });
});


    
});


</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/matbakh/public_html/admin/resources/views/admin/incoming-chef.blade.php ENDPATH**/ ?>