<?php $__env->startSection('title', 'Update Password'); ?>

<?php $__env->startPush('pagetitle'); ?>
Update Password
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>

<section class="section">
    <div class="section-header">
        <h1>Update Password</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item active"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></div>
            <div class="breadcrumb-item">Update Password</div>
        </div>
    </div>
    <div class="section-body">
        <h2 class="section-title">Change Your Password</h2>
        <p class="section-lead">
            Update your password here.
        </p>


        <!-- Display Errors -->
        <!-- <div id="form-errors" class="alert alert-danger" style="display: none;">
            <ul id="error-list"></ul>
        </div> -->

        <div class="row mt-sm-4">
            <div class="col-12 col-md-12 col-lg-6">
                <div class="card">
                    <form id="update-password-form" method="POST" action="<?php echo e(route('admin.password.update')); ?>">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PATCH'); ?>
                        <div class="card-header">
                            <h4>Change Password</h4>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="form-group col-md-12 col-12">
                                    <label>Current Password</label>
                                    <input type="password" class="form-control" name="old_password"
                                        placeholder="Enter Current password">
                                    <div class="invalid-feedback old_password"></div>
                                    <div id="olds_password" style="color:red;"></div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                    <label>New Password</label>
                                    <input type="password" class="form-control" name="new_password"
                                        placeholder="Enter new password">
                                    <div class="invalid-feedback new_password"></div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                    <label>Confirm New Password</label>
                                    <input type="password" class="form-control" name="new_password_confirmation"
                                        placeholder="Confirm new password">
                                    <div class="invalid-feedback new_password_confirmation"></div>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer text-right">
                            <button type="submit" class="btn btn-primary" id="udpate_password">Update Password</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page_js'); ?>
<!-- <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script> -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    $(document).ready(function () {
        $('#update-password-form').on('submit', function (event) {
            event.preventDefault(); // Prevent the default form submission

            // Clear previous error messages
            $('.invalid-feedback').empty();
            $('.form-control').removeClass('is-invalid');

            var form = $(this);
            var formData = form.serialize(); // Serialize form data

            $.ajax({
                url: form.attr('action'), // Form action URL
                type: 'POST', // Form submission method
                data: formData, // Form data,
                beforeSend: function () {
                    $("#udpate_password").prop("disabled", true);
                    $("#udpate_password").text("Process.....");
                },
                success: function (response) {
                    $("#udpate_password").prop("disabled", false);
                    $("#udpate_password").text("Update Password");

                    if (response.status) {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success!',
                            text: response.message,
                            confirmButtonText: 'OK'
                        }).then(function () {
                            // Disable the submit button and change its text
                            var submitButton = form.find('button[type="submit"]');
                            submitButton.prop('disabled', true).text('Password Updated');

                            // Optionally reload the page or redirect
                            window.location.reload(); // Uncomment this if you want to reload the page
                        });
                    } else {
                        $('#olds_password').text(response.message);
                    }
                },
                error: function (xhr) {
                    $("#udpate_password").prop("disabled", false);
                    $("#udpate_password").text("Update Password");
                    // Handle error response
                    var errors = xhr.responseJSON.errors;


                    // Display error messages next to the relevant fields
                    $.each(errors, function (key, value) {
                        var inputField = $('input[name="' + key + '"]');
                        var errorFeedback = inputField.siblings('.invalid-feedback');
                        errorFeedback.text(value[0]);
                        inputField.addClass('is-invalid'); // Add the 'is-invalid' class to the input
                    });

                    $('#form-errors').show(); // Show the error container if needed
                }
            });
        });

    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/matbakh/public_html/admin/resources/views/admin/profile/changepassword.blade.php ENDPATH**/ ?>