<?php $__env->startPush('pagetitle'); ?>
Type Management
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>


<section class="section">
    <div class="section-header">
        <h1>Type Management</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item active"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></div>
            <div class="breadcrumb-item">Type</div>
        </div>
    </div>
    <div class="section-body">
     
        <div class="row">
            <div class="col-lg-12 col-md-6 col-sm-6 col-12">
                <div class="card card-statistic-1">
                <div class="p-4 pt-lg-0 d-flex justify-content-end">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#addModal">
                        Add Type
                    </button>
                    </div>
                    <table id="usersTable" class="table table-striped">
                        <thead>
                            <tr>
                                <th>S.no</th>
                                <!-- <th>ID</th> -->
                                <th>Name</th>
                                <th>Arabic name</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($key + 1); ?></td>
                                <!-- <td><?php echo e($data->id); ?></td> -->
                                <td><?php echo e($data->name_en); ?></td>
                                <td><?php echo e($data->name_ar); ?></td>
                                <td>
                                    <button class="btn btn-danger delete-btn" data-id="<?php echo e($data->id); ?>">Delete</button>
                                    <button type="button" class="btn btn-primary show-data" data-toggle="modal" data-target="#exampleModal" data-user-id="<?php echo e($data->id); ?>">
                                        Edit
                                    </button>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>

            </div>

        </div>

    </div>
</section>
<div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addModalLabel">Add Type</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="Type-update-form" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <div class="mb-3">
                        <label>Name</label>
                        <input type="text" class="form-control" name="name_en" required>
                        <div class="invalid-feedback title"></div>
                        <div id="error_message" style="color:red;"></div>
                    </div>
                    <div class="mb-3">
                        <label>Arabic Name</label>
                        <input type="text" class="form-control" name="name_ar" required>
                        <div class="invalid-feedback name_ar"></div>
                        <div id="error_message" style="color:red;"></div>
                    </div>
                    <div class="modal-footer p-0">
                        <button type="submit" id="udpate_changes" class="btn btn-primary">Save Changes</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

</div>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Edit Type</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="editUserForm" method="post" enctype="multipart/form-data">
                    <?php echo method_field('PATCH'); ?>
                    <input type="hidden" name="id" id="userId">
                    <div class="mb-3">
                        <label for="title" class="form-label">Title</label>
                        <input type="text" class="form-control" id="title" name="name_en">
                        <div class="invalid-feedback title"></div>
                    </div>
                    <div class="mb-3">
                        <label>Arabic Name</label>
                        <input type="text" class="form-control" name="name_ar"  id="name_ar" required>
                        <div class="invalid-feedback name_ar"></div>
                        <div id="error_message" style="color:red;"></div>
                    </div>
                    <!-- Add other fields as necessary -->
                    <div class="modal-footer p-0">
                        <button type="submit" class="btn btn-primary">Save changes</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('page_js'); ?>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    $(document).ready(function() {
      
        // Handle form submission for adding Type
        $('#Type-update-form').on('submit', function(event) {
            event.preventDefault(); // Prevent the default form submission

            // Clear previous error messages
            $('.invalid-feedback').empty();
            $('.form-control').removeClass('is-invalid');

            var form = $(this);
            var formData = new FormData(form[0]); // Use FormData to handle file uploads

            $.ajax({
                url: form.attr('action'), // Form action URL
                type: 'POST', // Form submission method
                data: formData, // FormData containing the file
                contentType: false, // Prevent setting Content-Type header
                processData: false, // Prevent jQuery from automatically processing the data
                beforeSend: function() {
                    $("#udpate_changes").prop("disabled", true);
                    $("#udpate_changes").text("Processing...");
                },
                success: function(response) {
                    $("#udpate_changes").prop("disabled", false);
                    $("#udpate_changes").text("Save Changes");

                    if (response.status) {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success!',
                            text: response.message,
                            confirmButtonText: 'OK'
                        }).then(function() {
                            // Disable the submit button and change its text
                            var submitButton = form.find('button[type="submit"]');
                            submitButton.prop('disabled', true).text('Added');

                            // Optionally reload the page or redirect
                            window.location.reload(); // Uncomment this if you want to reload the page
                        });
                    } else {
                        $('#error_message').text(response.message);
                    }
                },
                error: function(xhr) {
                    $("#udpate_changes").prop("disabled", false);
                    $("#udpate_changes").text("Save Changes");

                    // Handle error response
                    var errors = xhr.responseJSON.errors;

                    // Display error messages next to the relevant fields
                    $.each(errors, function(key, value) {
                        var inputField = $('input[name="' + key + '"]');
                        var errorFeedback = inputField.siblings('.invalid-feedback');
                        errorFeedback.text(value[0]);
                        inputField.addClass('is-invalid'); // Add the 'is-invalid' class to the input
                    });

                    $('#form-errors').show(); // Show the error container if needed
                }
            });
        });

        // Handle form submission in modal
        $('#editUserForm').on('submit', function(event) {
            console.log('dfdsbfhdsb');
            event.preventDefault(); // Prevent the default form submission
            var userId = $(this).data('user-id');
            var form = $(this);

            var formData = new FormData(form[0]); // Use FormData to handle file uploads
            var url = '<?php echo e(route("admin.type.update", ":id")); ?>'; // URL to update data
            url = url.replace(':id', $('#userId').val()); // Replace placeholder with actual ID

            $.ajax({
                url: url,
                type: 'post',
                headers: {
                    'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                },

                data: formData,
                contentType: false, // Prevent setting Content-Type header
                processData: false, // Prevent jQuery from automatically processing the data
                beforeSend: function() {
                    form.find('button[type="submit"]').prop("disabled", true).text("Saving...");
                },
                success: function(response) {
                    if (response.status) {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success!',
                            text: response.message
                        }).then(function() {
                            $('#exampleModal').modal('hide');
                            location.reload(); // Optionally reload the page
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr) {
                    var errors = xhr.responseJSON.errors;

                    // Display error messages
                    $.each(errors, function(key, value) {
                        var inputField = $('#' + key);
                        inputField.addClass('is-invalid');
                        inputField.siblings('.invalid-feedback').text(value[0]);
                    });

                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: 'Failed to update data'
                    });
                },
                complete: function() {
                    form.find('button[type="submit"]').prop("disabled", false).text("Save changes");
                }
            });
        });

        // Handle showing data in modal
        $('.show-data').on('click', function() {
            console.log('dsfkjdshfkjd');
            var userId = $(this).data('user-id');
            var url = '<?php echo e(route("admin.type.show", ":id")); ?>';
            url = url.replace(':id', userId);

            $.ajax({
                url: url,
                type: 'GET',
                success: function(response) {
                    if (response.status) {
                        $('#userId').val(response.data.id);
                        $('#title').val(response.data.name_en);
                        $('#name_ar').val(response.data.name_ar);
                        // If you need to show the current icon, set the src of an img element or something similar
                        $('#exampleModal').modal('show');
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: 'Failed to fetch data'
                    });
                }
            });
        });
        $('.delete-btn').on('click', function() {
            var button = $(this);
            var itemId = button.data('id'); // Get the ID of the item to delete
            var itemName = button.data('name') || 'item'; // Get the name of the item or use a default value

            // Show SweetAlert confirmation dialog
            Swal.fire({
                title: 'Are you sure?',
                text: `Do you really want to delete this ${itemName}?`,
                icon: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete it!',
                cancelButtonText: 'No, cancel!',
                reverseButtons: true
            }).then((result) => {
                if (result.isConfirmed) {
                    button.prop('disabled', true).text('Deleting...');
                    // Perform the AJAX request to delete the item
                    $.ajax({
                        url: '<?php echo e(route("admin.typedelete", ":id")); ?>'.replace(':id', itemId), // Replace the placeholder with the item ID
                        type: 'POST',
                        data: {
                            _token: '<?php echo e(csrf_token()); ?>' // CSRF token
                        },
                        success: function(response) {
                            // Handle success (e.g., remove the item from the DOM)
                            button.closest('tr').remove(); // Assumes the button is within a <tr> element
                            Swal.fire(
                                'Deleted!',
                                response.message || 'Item deleted successfully!',
                                'success'
                            );
                        },
                        error: function(xhr) {
                            // Handle error
                            Swal.fire(
                                'Error!',
                                'An error occurred while deleting the item.',
                                'error'
                            );
                        },
                        complete: function() {
                            // Re-enable the button if needed (optional)
                            button.prop('disabled', false).text('Delete');
                        }
                    });
                }
            });
        });

        $('#usersTable').DataTable({
            "paging": true,
            "searching": true,
            "lengthChange": true,
            "pageLength": 10,
            "language": {
                "search": "Search Type:",
                "lengthMenu": "Display _MENU_ Type per page"
            }
        });

    });
</script>
<!-- Your page-specific JS here -->
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/matbakh/public_html/admin/resources/views/admin/type.blade.php ENDPATH**/ ?>